/**
* @author Joel Espinosa Longi
* @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
*/

var tooltip = (function(tooltip) {

 /**
  * 
  */
 tooltip.cat = 
 {
	Panels: {
		Buttons: 'Selecciona el panell d´edició de configuració general de l´escena i files de controls numèrics.',
		Spaces: 'Selecciona el panell d´edició d´Espais.',
		Controls: 'Selecciona el panell d´edició de Controls.',
		Definitions: 'Selecciona el panell d´edició de Definicions.\n\nLes Definicions són tots els vectors, matrius, funcions, variables i biblioteques d´una escena.',
		Programs: 'Selecciona el panell d´edició de Programa.\n\nEls Programes són tots els algorismes i esdeveniments d´una escena.',
		Graphics: 'Selecciona el panell d´edició de Gràfics 2D.',
		Graphics3D: 'Selecciona el panell d´edició de Gràfics 3D.',
		Animation: 'Selecciona el panell d´edició de l´Animació.',
	},

	Buttons: {
		width: 'L´amplada de l´escena en píxels.',
		height: 'L´alçada de l´escena en píxels.',
		about: 'Determina si el botó "Crèdits" apareix a l’escena.\n\nEl botó "Crèdits" obre una finestra amb la informació dels autors de Descartes.',
		config: 'Determina si el botó "Config" apareix a l’escena.\n\nEl botó "Config" obre una finestra amb la configuració de l´escena.',
		init: 'Determina si el botó "Inici" apareix a l´escena.\n\nEl botó "Inici" reinicia els valors dels controls, definicions i programes, retornant l´escena al seu estat inicial.\n\nSi hi ha animació automàtica, aquesta torna a començar.',
		clear: 'Determina si el botó "Neteja" apareix a l´escena.\n\nEl botó "Neteja" esborra els rastres deixats pels objectes gràfics que tenen l´opció "rastre" activada.',
		rowsNorth: 'Nombre de files que ocuparan els controls numèrics col·locats a la regió nord.\n\nSi el valor és zero, aleshores hi haurà una fila si és necessària, però si no ho és, no n’hi haurà cap.\n\nEl valor per defecte és zero.',
		rowsSouth: 'Nombre de files que ocuparan els controls numèrics col·locats a la regió sud.\n\nSi el valor és zero, aleshores hi haurà una fila si és necessària, però si no ho és, no n’hi haurà cap.\n\nEl valor per defecte és zero.',
		widthWest: 'L’ample en píxels de la regió oest per a controls numèrics. El valor per defecte és 150.\n\nSi el valor és 0, però hi ha almenys un control numèric a la regió oest, aleshores s’adopta per defecte un valor de 125.',
		widthEast: 'L’ample en píxels de la regió est per a controls numèrics. El valor per defecte és 150.\n\nSi el valor és 0, però hi ha almenys un control numèric a la regió est, aleshores s’adopta per defecte un valor de 125.',
		heightRows: 'Alçada en píxels dels controls numèrics a les regions nord i sud. El valor predeterminat és 40.',
		decimal_symbol: 'Símbol que separa els enters dels decimals en una expressió decimal.\n\nEn alguns països s´utilitza la coma i en altres el punt.',
		language: 'Llenguatge en què es desa la configuració de l´escena.',
		editable: 'Determina si es mostra l´espai exterior, en fer un clic dret del ratolí sobre l´escena.',
		expand: 'Opcions per modificar les dimensions de l´escena.\n\n"Cobrir": canvia només l´amplada i l´alçada de les escenes que tinguin un valor del 100%, perquè tinguin les dimensions del seu contenidor.\n\n"Escalar": modifica l´escala dels píxels de l´escena per cobrir les dimensions del seu contenidor, donant un efecte de zoom general en tota l´escena.\n\nEl valor per defecte és buit, aquest valor indica no fer canvis en les dimensions.',
		image_loader: 'Imatge que s´utilitzarà com a imatge de càrrega de l´escena.\n\nEl valor per defecte és buit, aquest valor indica que es mostrarà el logotip de Descartes.',
	},

	Definitions: {
		id: 'Identificador de la definició.\n\nQuan es tracta d´una funció cal incloure els paràmetres dels quals depengui, escrits entre parèntesis i separats per comes. Per exemple: f(x, y, z).',
		expression: 'Valor de la constant, variable o funció.',
		evaluate: 'Selector per definir si la constant, l´expressió del vector o l´algorisme s´han d´avaluar cada vegada que l´usuari modifica un control o només una vegada quan s´inicia l´escena.\n\nÉs important seleccionar "només una vegada" quan sigui factible perquè el funcionament de l´escena sigui més ràpid.',
		size: 'Nombre d´elements del vector.',
		rows: 'Nombre de files de la matriu.',
		columns: 'Nombre de columnes de la matriu.',
		range: 'Expressió booleana que determina el domini de la funció.\n\nQualsevol intent d´avaluar la funció fora del seu domini enviarà una excepció, per tant, per exemple, la seva gràfica no es dibuixa en els punts que no pertanyen al seu domini.\n\nEl valor per defecte està buit, això indica que el domini no està restringit.',
		algorithm: 'Quan està activat indica que la funció, perquè es pugui avaluar, ha d´utilitzar un algorisme; o sigui, utilitza els càlculs indicats en "inici", "fer" i "mentre".\n\nEl valor per defecte és no activat.',
		expression2: 'Assignacions als valors del vector, separades per punt i coma (;) o salt de línia (\\n).\n\nPer exemple, si l´identificador del vector és v i la seva mida és 3, es pot escriure:\n\nv[0] = 1\nv[1] = 2.5\nv[2] = -3.1',
		local: 'Declaració de les variables que s´han de protegir durant l´execució de la funció.\n\nPer protegir les variables, s´han d´escriure els identificadors separats per comes (,) o punt i coma (;).\n\nPer exemple: i,j;k.',
		init: 'Assigna i invoca funcions separades per punt i coma (;), de manera que, tot el que hi hagi en aquest camp s\'executa a l\'inici del càlcul.',
		doExpr: 'Assigna i invoca funcions separades per salts de línia (\\n), de manera que, tot el que hi hagi en aquest camp s´executa repetidament mentre la condició del paràmetre "mentre" sigui vàlida.',
		whileExpr: 'Expressió booleana que determina la condició per repetir les instruccions del paràmetre "fer".',
		file: 'Fitxer de text (es recomana que porti l´extensió .txt) en el qual apareixen en ordre els valors dels elements del vector, separats per un salt de línia.\n\nEls valors poden ser numèrics o de cadena, en aquest cas han d´aparèixer entre cometes senzilles, per exemple \'valor\'.',
		doc: 'Documentació de la biblioteca.',
		code: 'Codi font de JavaScript.',
		info: 'Comentaris.',
	},

	Spaces: {
		type: 'Determina el tipus d\'espai que pot ser de dos i tres dimensions o de tipus HTMLIFrame.',
		id: 'Identificador de l´espai.',
		cID: '*********',
		x: 'Abscissa de l\'extrem superior esquerre de la finestra de l\'espai. És a dir, la seva distància al marge esquerre de l\'escena.\n\nEs pot especificar amb un nombre de píxels (per exemple 20) o amb un percentatge (per exemple 10%) de l\'ample total de l\'escena.',
		y: 'Ordenada de l\'extrem superior esquerre de la finestra de l\'espai. És a dir, la seva distància al marge superior de l\'escena.\n\nEs pot especificar amb un nombre de píxels (per exemple 20) o amb un percentatge (per exemple 10%) de l\'altura total de l\'escena.',
		width: 'Ample de la finestra de l\'espai.\n\nEs pot especificar amb un nombre de píxels (per exemple 240) o amb un percentatge (per exemple 50%) de l\'ample total de l\'escena.',
		height: 'Altura de la finestra de l\'espai.\n\nEs pot especificar amb un nombre de píxels (per exemple 180) o amb un percentatge (per exemple 50%) de l\'altura total de l\'escena.',
		drawif: 'Expressió booleana que determina si l\'espai és visible o no.\n\nL\'espai és invisible si, i només si, el valor de l\'expressió és zero.\n\nSi es deixa en blanc aquest espai serà sempre visible.',
		fixed: '*********',
		fixed_R2: 'Selector que impedeix que l\'usuari modifiqui l\'escala i la localització de l\'origen arrossegant l´espai amb el ratolí.',
		fixed_R3: 'Selector que impedeix que l\'usuari modifiqui el punt de vista arrossegant l´espai amb el ratolí.',
		scale: 'Mida en píxels d´un segment unitari (o de longitud 1).\n\nPer modificar aquesta variable cal referir-se a ella com <id>.escala, on <id> és l´identificador de l´espai.\n\nNota: És important que els identificadors no continguin espais ni símbols d´operadors.',
		"O.x": 'Distància en píxels cap a la dreta, del centre de l´espai al punt on es dibuixarà l\'origen de coordenades.\n\nPer modificar aquesta variable cal referir-se a ella com <id>.Ox, on <id> és l´identificador de l´espai.\n\nNota: És important que els identificadors no continguin espais ni símbols d´operadors.',
		"O.y": 'Distància en píxels cap avall, del centre de l\'espai al punt on es dibuixarà l\'origen de coordenades.\n\nPer modificar aquesta variable cal referir-se a ella com <id>.Oy, on <id> és l´identificador de l´espai.\n\nNota: És important que els identificadors no continguin espais ni símbols d´operadors.',
		image: 'Imatge que s\'utilitza de fons de l\'espai.\n\nEls fitxers d\'imatges s\'han de posar en el mateix directori on es col·loca el fitxer html de l´escena o en els seus subdirectoris, a més en el nom del fitxer s´han d\'incloure els subdirectoris.\n\nEs poden utilitzar fitxers png, jpg, gif i svg.',
		bg_display: 'Selector amb les opcions que indiquen com es desplegarà la imatge de fons de l´espai.\n\n"dalt-esq": cantonada superior esquerra de la imatge alineada amb la cantonada superior esquerra de l´espai.\n\n"expandir": la imatge s´escala per cobrir l´espai.\n\n"mosaic": la imatge es repeteix tantes vegades com sigui necessari per cobrir l´espai.\n\n"centrada": la imatge es dibuixa centrada en l´espai.',
		background: 'Color del fons de l\'espai.\n\nUn clic sobre el botó activa l\'editor de colors.\n\nEl valor per defecte és blanc (#ffffff).',
		axes: 'Color dels eixos de coordenades.\n\nEl selector serveix per decidir si els eixos es dibuixen o no.\n\nEl botó activa l\'editor de colors.\n\nEls valors per defecte són el selector activat i el color gris fosc (#404040).',
		net: 'Color de la xarxa de rectes paral·leles als eixos de coordenades que serveixen de referència.\n\nEl selector serveix per decidir si la xarxa es dibuixa o no.\n\nEl botó activa l\'editor de colors.\n\nEls valors per defecte són el selector activat i el color gris clar (#c0c0c0).',
		net10: 'Color d´una xarxa que es dibuixa cada 10 unitats de la xarxa anterior.\n\nEl selector serveix per decidir si la xarxa10 es dibuixa o no.\n\nEl botó activa l\'editor de colors.\n\nEls valors per defecte són el selector desactivat i el color gris (#808080).',
		text: 'Color de les coordenades que es mostren en clicar el botó esquerre del ratolí a l´espai.\n\nEl selector serveix per decidir si les coordenades s\'escriuen o no.\n\nEl botó activa l\'editor de colors.\n\nEl valor per defecte és el selector desactivat.',
		numbers: 'Selector per decidir si s\'escriuen alguns valors de les coordenades sobre els eixos. En cas d\'escriure aquestes coordenades, apareixen en el mateix color que els eixos.\n\nNomés es poden escriure les coordenades si els eixos es dibuixen.\n\nEl valor per defecte en una escena nova és desactivat.',
		x_axis: 'Etiqueta que es dibuixarà a la dreta de l\'escena, just per sota de l\'eix-x.\n\nEl color de l\'etiqueta és igual al dels eixos.\n\nSi el contingut és "no", aleshores l\'eix no es dibuixa.',
		y_axis: 'Etiqueta que es dibuixarà a dalt de l\'escena, just a l\'esquerra de l\'eix-y.\n\nEl color de l\'etiqueta és igual al dels eixos.\n\nSi el contingut és "no", aleshores l\'eix no es dibuixa.',
		render: 'Mètode que s´utilitza per desplegar els objectes en tres dimensions.\n\n"ordre": dibuixa els elements tridimensionals de darrera cap endavant. És el més ràpid, però falla quan els elements dels objectes tridimensionals estan formats per cares grans.\n\n"pintor": és una mica més lent, però és molt més fiable que l´opció "ordre".',
		split: 'Selector que permet decidir si tots els cossos de l\'espai es tallen entre sí.\n\nEl valor per defecte és desactivat.\n\nSi dues superfícies s’intersequen però no se\'ls permet tallar-se, el seu desplegament és "impossible" i el dibuix resulta incomprensible.\n\nQuan els objectes de l\'espai no tenen intersecció entre sí, no és necessari seleccionar aquesta opció.',
		sensitive_to_mouse_movements: 'Selector per decidir si el programa detectarà els moviments del ratolí sobre aquest espai.\n\nEl valor per defecte és desactivat.',
		file: 'Nom del fitxer al qual fa referència l´espai HTMLIFrame.',
		info: 'Comentaris.',
		resizable: 'Permet que l\'amplada i alçada de l\'espai canviï, en permetre l\'avaluació de variables en aquests paràmetres.\n\nNota: modifica el comportament original, on els espais no poden tenir una grandària major a l\'àrea de l\'escena.',
		border_color: 'Color de la vora del Espais.',
		border_width: 'Amplada de vora.',
		border_radius: 'Defineix el radi de les cantonades de l’espai.',
	},

	ListEditButtons: {
		add: 'Afegeix un nou element a la llista',
		clone: 'Afegeix a la llista un nou element idèntic al que es troba seleccionat',
		delete: 'Elimina de la llista l´element seleccionat',
		list: 'Obre una finestra de text per editar manualment tots els objectes de la llista.',
		up_down: 'Canvia l´ordre de la llista permutant l´element seleccionat pel seu veí.\n\nSi es manté pressionat repeteix ràpidament l´operació.',
	},

	Controls: {
		id: 'Identificador del control.\n\nSi el control és numèric, llavors <id>, és el nom de la variable numèrica que representa.\n\nSi és gràfic, llavors <id>.x i <id>.y, són les coordenades del control.',
		type: '*********',
		gui: 'Tipus d´interfície gràfica del control numèric. Les opcions són: "polsador", "camp de text", "menú" (desplegable), "barra" (de desplaçament) i "botó".',
		onlyText: 'Selector que, quan està activat, fa que el camp de text no interpreti els nombres o variables que en ell s\'escriuen sinó que només els pren com cadenes de text.',
		region: 'Regió de l´escena on s’assigna el control numèric.\n\n"nord": és una o diverses files horitzontals a la part superior de l’escena entre els botons de crèdits i config.\n\n"sud": és una o diverses files horitzontals a la part inferior de l’escena entre els botons d’inici i neteja.\n\n"oest" i "est": són columnes a l’esquerra i a la dreta de l’escena.\n\n"exterior" és una finestra que apareix quan es clica amb la dreta del ratolí sobre l’escena.\n\n"interior": quan un control numèric s’associa a la regió interior, aleshores es pot col·locar en qualssevol dels espais de l’escena i la seva posició queda determinada pel paràmetre "expressió".\n\nEl valor per defecte és "sud".',
		space: 'És un menú desplegable amb els identificadors de tots els espais definits a l´escena.\n\nAquest paràmetre només té sentit en controls numèrics assignats a la regió interior i en controls gràfics.',
		color_CTRGRAPHIC: 'Color de la circumferència del disc que representa un control gràfic.\n\nEl color per defecte de la vora és #222222.',
		colorInt_CTRGRAPHIC: 'Color del cercle o interior de la circumferència del disc que representa un control gràfic.\n\nEl color per defecte de l´interior és #f0f8ff.',
		image_CTRGRAPHIC: 'Nom del fitxer d´una imatge que s´utilitzarà en lloc del cercle que Descartes utilitza per mostrar aquest control gràfic.',
		size: 'Radi del control gràfic en píxels.\n\nPot ser qualsevol nombre o expressió positiva.\n\nEl valor per defecte és 4.',
		name: 'Nom extern del control.  Apareix com etiqueta a l’esquerra del control numèric i no té cap altra funció dins del programa.\n\nEl seu valor per defecte és igual a l’identificador del control.',
		expression: 'Extrem superior esquerre d’un control numèric interior.\n\nS’expressa amb dos nombres entre parèntesis separats per una coma. Els nombres poden ser constants o expressions en les quals intervenen constants o paràmetres definits en controls anteriors.\n\nEn el cas d’un control numèric interior es pot fer servir una expressió de quatre valors (x,y,w,h), on els primers dos són les coordenades del vèrtex superior esquerre del control i els dos últims són l’ample i l’alt.\n\nEl valor per defecte és (0,0,150,40).',
		expression_CTRGRAPHIC: 'Punt inicial d´un control gràfic.\n\nS’expressa amb dos nombres entre parèntesis separats per una coma. Els nombres poden ser constants o expressions en què intervenen constants o paràmetres definits en controls anteriors.\n\nEl valor per defecte és (0,0).',
		value: 'Valor inicial de la variable <id>.\n\nPot ser una expressió decimal o una fórmula en la qual poden intervenir constants i altres paràmetres definits en controls anteriors.\n\nEl seu valor per defecte és 0.\n\nEn el cas dels botons, és el valor que s’assigna a la variable quan es clica el botó.',
		constraint: 'És una equació en x, i que les coordenades del control han de satisfer. És a dir, el control queda restringit a moure\'s sobre la gràfica de la seva constricció.\n\nPot ser qualsevol expressió o quedar buida. Si queda buida, el control no està limitat en el seu moviment.\n\nEl valor per defecte és buit.',
		text: 'És una etiqueta que acompanya el control.\n\nPot ser qualsevol text que a més pot incloure valors numèrics variables.\n\nEl valor per defecte és buit.',
		text_CTRTEXT: 'Contingut inicial de l´àrea de text.\n\nEl valor per defecte és buit.',
		incr: 'És la quantitat que augmenta o disminueix el valor de la variable <id> quan es cliquen les fletxes del control numèric.\n\nPot ser una constant o una expressió.\n\nEl valor per defecte és 0.1.',
		min: 'És el valor mínim que pot tenir el control.\n\nPot ser una constant, una expressió o estar buit, en aquest cas no hi ha valor mínim i el control no està limitat inferiorment.\n\nEl valor per defecte és buit.',
		max: 'És el valor màxim que pot tenir el control.\n\nPot ser una constant, una expressió o estar buit, en aquest cas no hi ha valor màxim i el control no està limitat superiorment.\n\nEl valor per defecte és buit.',
		discrete: 'Obliga a que els valors del control numèric difereixin del valor inicial només en múltiples exactes de l’increment.\n\nAixò funciona correctament només si l\'increment és constant i a més pot expressar-se exactament amb el nombre de decimals escollit.\n\nEl valor per defecte és desactivat.',
		decimals: 'Nombre de decimals amb què s’escriuran els valors de <id>.\n\nPot ser qualsevol nombre o expressió.\n\nEn avaluar-se, s’arrodoneix a l´enter més pròxim per especificar el nombre de decimals, p. 3.5 s’arrodoneix a 4.\n\nEl seu valor per defecte és 2.',
		fixed: 'En activar-se, escriu nombres amb el nombre especificat de decimals.\n\nSi no està activat, es fa servir la notació ajustada. En aquest cas, s’eliminen els zeros innecessaris i el punt decimal si també és innecessari. Per exemple: en lloc de 25.3400 s\'escriu 25.34 i en lloc  de 13.0 s\'escriu 13 (sense punt decimal).\n\nSi es fa servir notació exponencial, sempre s’escriuen els nombres en forma ajustada, és a dir, l’atribut fix s´ignora.\n\nEl valor per defecte és activat.',
		exponentialif: 'És una expressió booleana que quan s’acompleix fa que el valor del paràmetre pugui escriure\'s en notació exponencial. Si l’expressió està buida, mai es fa servir la notació exponencial. És important observar que això no força que aparegui la notació exponencial, només la permet. Si l’expressió no s’acompleix no hi haurà notació exponencial.\n\nEl valor per defecte és buit.',
		visible: 'És un selector que indica si el valor del paràmetre s’ha d’exhibir o no (el nom i els polsadores s’exhibeixen sempre).\n\nEl valor per defecte és activat, o sigui que el valor del paràmetre sí s’exhibeix.',
		trace: 'Selector que indica si en moure\'s el control ha de deixar rastre del seu recorregut. El rastre d’un control és el de la seva vora només.\n\nPer defecte apareix desactivat.',
		color: 'Color del text a l’etiqueta del botó.',
		colorInt: 'Color del fons a l’etiqueta del botó.',
		bold: 'Selector que en activar-se fa que el text a l’etiqueta del botó s’escrigui en negreta.',
		italics: 'Selector que en activar-se fa que el text a l’etiqueta del botó s’escrigui en cursiva.',
		underlined: 'Selector que en activar-se fa que el text a l’etiqueta del botó aparegui subratllat.',
		font_family: 'Tipus de lletra utilitzat per dibuixar el text.',
		font_size: 'Grandària en punts de la font en què s’escriu el text de l’etiqueta del botó.',
		image: 'Nom de l’arxiu d\'una imatge que s’utilitzarà de fons del botó.\n\nSi a la mateixa carpeta on està la imatge, n’hi ha una altra amb el mateix nom seguit de "_over" i amb la mateixa extensió, aleshores aquesta imatge apareixerà en el botó quan el cursor del ratolí es troba sobre seu.\n\nSi a la mateixa carpeta on està la imatge, n’hi ha una altra amb el mateix nom seguit de "_down" i amb la mateixa extensió, aleshores aquesta imatge apareixerà en el botó quan es clica el botó amb el ratolí.',
		options: 'Llista d’opcions que mostra el "menú".\n\nLes opcions han de ser textos separats per comes. Després de cada text pot venir entre un parèntesi del tipus [] el valor que s’ha d’assignar al control quan se selecciona aquesta opció. Si el valor no es defineix aleshores, s’assigna automàticament un valor enter corresponent a l’índex de l’opció.',
		action: 'L’acció que es realitza quan l’usuari manipula el control numèric (clicar el botó, seleccionar un element d’un menú, moure la barra de desplaçament, fer clic en un polsador, o donar <intro> en el camp de text).\n\nHi ha les següents accions possibles: "calcular", "inici", "netejar", "animar", "obrir URL", "obrir escena" i "reproduir".',
		parameter: 'El paràmetre de l’acció.\n\nSi l’acció és "calcular", aleshores el paràmetre ha de contenir zero o diverses assignacions (separades per punt i coma (;) o salt de línia (\\n), que el programa realitzarà quan s’executi l’acció.\n\nSi l’acció és "obrir URL", el paràmetre ha de ser una URL.\n\nSi l’acció és "obrir escena", el paràmetre ha de ser una adreça relativa i el que fa és obrir l´escena de Descartes que es troba en un fitxer de text amb aquesta adreça.\n\nLes altres accions no fan servir el paràmetre.',
		drawif: 'Expressió booleana que determina quan el control és visible.\n\nEl valor per defecte és buit i en aquest cas el control és sempre visible.',
		activeif: 'Expressió booleana que determina quan el control està actiu.\n\nEl valor per defecte és buit i en aquest cas és possible interactuar amb el control.',
		evaluate: 'Determina si el control porta avaluació automàtica.\n\nNomés s´aplica en els controls de les escenes que són ítems (o reactius) per a avaluacions.\n\nEl valor per defecte és desactivat. Quan s´activa en un control d´un ítem, el programa sap que quan s´avalua l´ítem haurà de considerar el que l´usuari hagi escrit o seleccionat en el control, com una resposta i comparar amb el patró de respostes associat.',
		answer: 'Quan el selector "avaluar" està desactivat, aquest camp està inactiu.\n\nLa resposta esperada, programada per l´autor de la lliçó. Aquesta resposta es compara amb la resposta de l´usuari per determinar si és correcta.\n\nNomés s´aplica amb controls que plantegen preguntes i en els quals una resposta necessita ser avaluada comparant la resposta de l´usuari amb la resposta de la lliçó.\n\nPot consistir en un o més text separats per |, cadascun d´ells es compara amb la resposta de l´usuari.\n\nSi hi ha un aparellament, la resposta es marca com a correcta, en cas contrari es marca com a incorrecta.\n\nQuan la resposta esperada és numèrica, l´autor de la lliçó necessita establir un interval vàlid, per exemple, [a,b], (a,b), (a,b] o [a,a].\n\nQuan el control és del tipus "només text", l´avaluació de la resposta es fa comparant lletra a lletra.\n\nSi una opció de resposta acaba amb *, la resposta de l´usuari només es compara amb el principi de la resposta.\n\nSi una opció de resposta comença amb *, la resposta de l´usuari ha d\'acabar amb el mateix valor de la resposta.\n\nSi una opció de resposta comença i acaba amb *, per exemple, *resposta*, la resposta de l´usuari ha de contenir la "resposta".\n\nSi la resposta esperada pot ser en majúscules o minúscules, l\'opció de resposta s\'ha d\'escriure entre cometes simples, per exemple, \'respondre\'.\n\nSi els accents o la n o ñ no són distingibles, l\'opció de resposta s\'ha d\'escriure entre accents esquerre i dret, per exemple, `resposta\'.\n\nDe manera semblant, `\'answer\'´ permetria ignorar majúscules i minúscules, accents i la n de la ñ.\n\nPer fer que s´ignori una lletra, s´ha d´utilitzar ? en el lloc de la lletra.',
		weight: 'Pes (en el context d´una mitjana ponderada) que s´assigna a la resposta donada a l´avaluació quan es calcula la nota.\n\nNomés s\'admeten valors enters positius i es recomana fer servir només 0, 1 o 2.',
		tooltip: 'Text que apareix quan el ratolí s´atura més d’un segon i mig sobre l’etiqueta d’un control numèric o dins del cercle d’un control gràfic.\n\nEl valor per defecte és buit.',
		explication: 'Text que apareix quan l’usuari clica amb el botó dret del ratolí sobre l’etiqueta d’un control numèric o dins del cercle d\'un control gràfic.\n\nEl valor per defecte és el del "tooltip".',
		cID: 'Identificador per als controls que es troben en l’escenari.\n\nÉs útil només en escenes d´Arquímedes o Discurso.\n\nEl valor de l’identificador el calcula el programa d’acord en el moment precís en què aquest va ser creat, per la qual cosa tots els identificadors creats en un mateix ordinador són diferents.\n\nNo es recomana manipular manualment aquest identificador.',
		file: 'Nom del fitxer multimèdia (àudio o vídeo).',
		info: 'Comentaris.',
		borderColor: 'Color de la vora del text del botó.\n\nQuan està activat el text del botó es dibuixa amb una vora del color seleccionat.\n\nEl valor per defecte és desactivat.',
		flat: 'Quan el botó està activat es dibuixa sense degradat (estil pla).\n\nEl valor per defecte és desactivat, és a dir, que el botó es dibuixa amb degradat (estil tradicional de Descartes).',
		text_align: 'Opcions per triar l\'alineació de l\'etiqueta del botó, respecte a la regió rectangular que ocupa el control.',
		image_align: 'Opcions per triar l\'alineació de la imatge del botó, respecte a la regió rectangular que ocupa el control.',
		btn_pos: 'Opcions per escollir la posició dels botons del polsador.\n\nEls botons es poden situar verticalment o horitzontalment, a l\'esquerra o a la dreta del camp de text de polsador.',
		image_dec: 'Nom del fitxer d\'una imatge que s\'utilitzarà com a fons del botó de disminució del filador.',
		image_inc: 'Nom de fitxer d\'una imatge que s\'utilitzarà com a fons del botó d\'increment de spinner.',
		extra_style: 'Estil addicional per als botons.',
		radio_group: 'Si el valor és buit, el control es comporta com una casella de verificació.\n\nSi per contra conté un nom, el control es comporta com un radi botó pertanyent al grup amb el nom especificat. Quan és un radi botó, només un dels controls amb el mateix grup pot estar seleccionat.',
		label_color: 'Color de fons de l’etiqueta.',
		label_text_color: 'Color del text de l’etiqueta.',
		position: 'Posició del control.',
		keyboard: 'Quan està activat, mostra un teclat virtual per modificar el valor del camp de text.\n\nEl valor per defecte no està marcat.',
		kblayout: 'Disseny de les tecles que s’utilitzaran al teclat virtual.',
		kbexp: 'Posició de l\'extrem superior esquerre del teclat virtual.',
		color_CTRSCROLL: 'Color de fons de la barra de desplaçament.',
		colorInt_CTRSCROLL: 'Color del mànec i les fletxes de la barra de desplaçament.',
	},

	Programs: {
		id: 'Identificador del programa.',
		evaluate: 'Selector que permet definir si la constant, l´expressió del vector o l´algorisme s´han d´avaluar cada vegada que l´usuari modifica un control o només una vegada quan s´inicia l´escena.\n\nÉs important seleccionar "només una vegada" quan sigui factible perquè el funcionament de l´escena sigui més ràpid.',
		init: 'Assigna i invoca funcions separades per punt i coma (;), de manera que, tot el que hi hagi en aquest camp s\'executa a l\'inici del càlcul.',
		doExpr: 'Assigna i invoca funcions separades per salts de línia (\\n), de manera que, tot el que hi hagi en aquest camp s´executa repetidament mentre la condició del paràmetre "mentre" sigui vàlida.',
		whileExpr: 'Expressió booleana que determina la condició per repetir les instruccions del paràmetre "fer".',
		condition: 'Expressió booleana que quan es compleix, executa l´acció.\n\nLa repetició de l´acció està condicionada pel paràmetre "execució".',
		action: 'Acció que s´executa en interactuar amb l´escena i complir la condició booleana del paràmetre "condició".\n\nExisteixen les següents accions: "calcular", "obrir URL", "obrir escena", "inici", "neteja", "anima", "reinicia animació" i "reprodueix".',
		parameter: 'Paràmetre que s´utilitza per a l´acció.\n\nSi l´acció és "calcula", aleshores ha de contenir zero o diverses assignacions que el programa realitzarà quan s´executi l´acció.\n\nSi l´acció és "obre URL", aleshores ha de ser qualsevol URL.\n\nSi l´acció es "obre escena" aleshores ha de ser una direcció absoluta o relativa a l´escena de Descartes que es vol obrir.\n\nLes altres accions no utilitzen el paràmetre.',
		execution: 'Determina el mode d´execució de l´acció de l´esdeveniment.\n\n"només una vegada": l´acció només s´executa la primera vegada que es compleix la condició.\n\n"alterna": l´acció s´executa la primera vegada que es compleix la condició, però si la condició deixa de ser vàlida i després ho torna a ser, aleshores es torna a executar l´acció.\n\n"sempre": l´acció s´executa sempre que es compleixi la condició.\n\nEl valor per defecte és "només una vegada".',
		info: 'Comentaris.',
	},

	Graphics: {
		space: 'Menú desplegable amb la llista dels espais de dues dimensions que s\'hagin definit.\n\nS´utilitza per assignar l\'espai al qual ha de pertànyer el gràfic.',
		type: 'El tipus del gràfic.',
		background: 'Quan està activat  indica que el gràfic només es dibuixa en el fons de l\'escena i per tant s\'actualitza només quan es clica "inici" i quan es modifica l\'escala o la posició de l\'origen (O.x y O.y).\n\nQuan un gràfic està sempre fix en l\'escena, és a dir, no depèn dels controls ni dels auxiliars, convé definir-lo com de fons, doncs així s\'estalvia feina al processador que no l´haurà de dibuixar cada vegada que hi ha un canvi en l\'escena.',
		color: 'Color del gràfic.\n\nFent un clic sobre el botó, apareix la finestra de configuració de colors.\n\nEl valor per defecte és #20303a.',
		color_ARROW: 'Color de la vora de la fletxa, el seu interior es dibuixa en el color del paràmetre "fletxa".\n\nEl valor per defecte és #20303a.',
		drawif: 'Expressió booleana que determina si el gràfic es dibuixa o no.\n\nEl gràfic es dibuixa si l´expressió és buida o si té valor vertader (o més gran que zero).\n\nEl valor per defecte és buit, això indica que sempre es dibuixa.',
		drawif_EQUATION: 'Expressió booleana que determina si el gràfic es dibuixa o no.\n\nEl gràfic es dibuixa si l´expressió és buida o si té valor vertader (o més gran que zero).\n\nSi l\'expressió depèn de x o y, i el gràfic és una equació, aleshores només es dibuixen els punts de la gràfica que satisfan l\'expressió.\n\nSi el valor de x o y fa que l\'expressió no s\'acompleixi en el moment en què es va a dibuixar un objecte, aleshores no es dibuixa (és responsabilitat de l\'autor controlar el valor de les variables x i y fora de les equacions).\n\nEl valor per defecte és buit, això indica que sempre es dibuixa.',
		abs_coord: 'Quan està activat fa que el gràfic  s\'interpreti en píxels i en coordenades absolutes amb l\'origen en el vèrtex superior esquerre del rectangle de l\'espai al qual pertany el gràfic i l\'escala igual a 1 píxel per unitat.\n\nEls gràfics definits en coordenades absolutes, no es mouen en canviar l\'origen del sistema o l\'escala.',
		expression_EQUATION: 'Ha de ser una equació en x, y. L´objecte gràfic associat a una equació és el lloc geomètric dels punts que la satisfan.\n\nEl valor per defecte és y=x.',
		expression_CURVE: 'Expressió de la forma (f(t),g(t)), on f i g són funcions qualssevol del paràmetre t (o el que es defineixi en el camp "paràmetre").\n\nEl valor per defecte és (t,t).',
		expression_SEQUENCE: 'Expressió del tipus (X,Y), on X i Y són expressions reals que depenen de n, que representen les abscissa i ordenada dels punts de la successió.\n\nEl valor per defecte és (n,1/n).',
		expression_POINT: 'Expressió del tipus (X,Y), on X i Y són expressions reals  qualssevol que representen les abscissa i ordenada del punt.\n\nEl valor per defecte és (0,0).',
		expression_SEGMENT: 'Expressió del tipus (X1,Y1)(X2,Y2), on (X1,Y1) són les coordenades de l´inici del segment i (X2,Y2) les del final del segment.\n\nEl valor per defecte és (0,0)(1,1), o sigui el segment entre l´origen i el punt (1,1).',
		expression_ARROW: 'Expressió del tipus (X1,Y1)(X2,Y2), on (X1,Y1) són les coordenades de l´inici  de la fletxa i (X2,Y2) les de la punta.\n\nEl valor per defecte és (0,0)(1,1), o sigui la fletxa que va de l´origen al punt (1,1).',
		expression_POLYGON: 'Expressió del tipus\n\n(x1,y1)(x2,y2)...(xN,yN),\n\non xn i yn són expressions reals arbitràries.\n\nEl gràfic és el polígon amb vèrtexs en els punts (xn,yn).\n\nEl valor per defecte és (0,0)(1,1)(2,-1).',
		expression_FILL: 'Expressió del tipus (X,Y), on X i Y són expressions reals qualssevol que representen les abscissa i ordenada del punt on s´inicia el procés per acolorir la regió tancada que té el punt (X,Y) en el seu interior.\n\nEl valor per defecte és (0,0).',
		expression_TEXT: 'Expressió del tipus (X,Y), on X i Y són expressions reals qualssevol que representen les abscissa i ordenada de l´inici del text, però mesurats en píxels a partir del vèrtex superior esquerra de l´escena.\n\nEl valor per defecte és [20,20].',
		expression_IMAGE: 'Expressió del tipus (X,Y), on X i Y són expressions reals qualssevol que representen les abscissa i ordenada de l´extrem superior esquerra de la imatge respecte de l´origen de coordenades de l´espai.\n\nEl valor per defecte és (0,0).',
		expression_RECTANGLE: 'Expressió del tipus (X, Y, W, H), on X i Y són expressions reals que representen l’abscisa i l’ordenada de la cantonada superior esquerra del rectangle en coordenades absolutes o el botó cantó esquerre del rectangle en coordenades relatives. W és l\'amplada i H és l\'alçada del rectangle.\n\nEl valor per defecte és (0,0,2,1).',
		expression_MACRO: 'Nom del fitxer que conté les dades de la macro. El fitxer està a la carpeta on hi ha la pàgina que conté l´escena o en subcarpetes seves.',
		expression: '*********',
		center: 'Expressió del tipus (X,Y), que representa el centre de l\'arc, on X i Y poden ser expressions reals arbitràries.\n\nEl valor per defecte és (0,0).',
		radius: 'Expressió real arbitrària, que representa el radi de l´arc.',
		init: 'És l\'inici de l\'arc.\n\nHi ha dues opcions. Pot ser una expressió real arbitrària que s\'interpretarà com l\'angle inicial en graus o pot ser una expressió de la forma (x1,y1) que s\'interpretarà com un punt. En el segon cas, l\'arc comença en el segment que uneix el centre (X,Y) amb el punt (x1,y1).',
		end: 'És el final de l\'arc.\n\nHi ha dues opcions. Pot ser una expressió real arbitrària que s\'interpretarà com l\'angle final en graus o pot ser una expressió de la forma (x2,y2) que s\'interpretarà com un punt. En el segon cas, l\'arc acaba en el segment que uneix el centre (X,Y) amb el punt (x2,y2).',
		vectors: 'Quan està activat, determina que el costat inicial i final de l\'arc s\'obtinguin de dos vectors que surten del centre de l\'arc i no de dos punts del pla.',
		trace: 'Si es selecciona rastre, l’objecte gràfic deixa un rastre a l\'escena del color seleccionat.\n\nPer triar un color, s\'ha de clicar el botó quadrat que apareix al costat del selector.\n\nQuan un gràfic deixa rastre es pot apreciar la seva trajectòria a l\'escena. Clicant el botó de "neteja", s\'esborren els rastres de els gràfics.\n\nEl valor per defecte és no activat.',
		useFamily: 'Aquest selector permet convertir un gràfic en tota una família de gràfics dependent d\'un paràmetre.\n\nEn seleccionar família s\'activen els camps  paràmetre, interval i passos.\n\nEl valor per defecte és no activat.',
		family: 'Nom del paràmetre que s´utilitza a la definició de l´objecte gràfic per definir la família.\n\nEl valor per defecte és "s".\n\nEl programa dibuixarà els gràfics, amb els valors de "s", recorrent l\'interval especificat en el nombre de passos triat.',
		family_interval: 'Interval sobre el qual el paràmetre de la família obtindrà els valors en recórrer aquest l\'interval en el nombre de passos especificat.\n\nSón dues expressions reals entre claudàtors i separades per una coma.\n\nEl valor per defecte és [0,1].',
		family_steps: 'Nombre de subintervals iguals en què es divideix l\'interval i el paràmetre de la família passa pels extrems dels subintervals.\n\nEl valor per defecte és 8.',
		parameter: 'Identificador del paràmetre utilitzat en la corba. Es recomana utilitzar una paraula curta. El valor per defecte és "t".\n\nEl programa dibuixarà el polígon amb vèrtexs:\n\n(f(t),g(t)) per "t" entre el primer i l\'últim dels valors de l\'interval, amb increments iguals a la longitud de l\'interval entre el nombre de passes.',
		parameter_interval: 'Interval sobre el qual el paràmetre de la corba obtindrà els valors en recórrer aquest interval en el nombre de passes especificat.\n\nSon dues expressions ti i tf reals entre claudàtors i separades per una coma, és a dir, [ti,tf].\n\nEl valor per defecte és [0,1].',
		parameter_steps: 'Nombre de subintervals iguals en què es divideix l´interval de la corba i el paràmetre de la corba passa pels extrems dels subintervals.\n\nEl valor per defecte és 8.',
		text: 'És una etiqueta que acompanya l\'objecte gràfic i s\'escriu a prop de la seva posició o allà on es pugui considerar que és la seva posició.\n\nEls textos es dibuixen en el mateix color que l\'objecte gràfic.\n\nEls textos poden tenir diverses línies i a més, poden incloure valors numèrics variables.\n\nEl valor per defecte és buit.',
		decimals: 'És el nombre de decimals amb què s\'escriuran els nombres inclosos en el text.\n\nPot ser qualsevol nombre o expressió. En avaluar-se els nombres s\'arrodoneixen per decidir el nombre de decimals.\n\nEl valor per defecte és 2.',
		fixed: 'Quan està activat determina si el nombre de decimals és fix o si, al contrari, es fa servir la notació ajustada en la qual s\'eliminen els zeros innecessaris i el punt decimal si també és innecessari.\n\nPer exemple: en lloc de 25.3400 s\'escriu 25.34 i en lloc de 13.0 s\'escriu 13 (sense punt decimal).\n\nSi es fa servir notació exponencial, sempre s\'escriuen els nombres en forma ajustada, és a dir, l\'atribut fix no intervé en aquest cas.\n\nEl valor per defecte és desactivat.',
		border: 'Color de la vora del text.',
		font: '*********',
		fill: 'Si el selector ple està activat, el programa omple l\'interior de la corba (considerada com un polígon) amb el color seleccionat. Si la corba no té un interior ben definit, el resultat pot ser una mica estrany.',
		fillP: 'Quan està activat:\n\nSi l\'equació és de la forma y=f(x) l\'espai entre l\'eix x i la gràfica (a sobre de l\'eix x)  s\'acoloreix  del color seleccionat\n\nSi l\'equació és de la forma x=g(y) l\'espai entre l\'eix y i la gràfica (a la dreta de l\'eix y)  s\'acoloreix  del color seleccionat.\n\nEl valor per defecte és desactivat.',
		fillM: 'Quan està activat:\n\nSi l\'equació és de la forma y=f(x) l\'espai entre l\'eix x i la gràfica (a sota de l\'eix x)  s\'acoloreix  del color seleccionat\n\nSi l\'equació és de la forma x=g(y) l\'espai entre l\'eix y i la gràfica (a l´esquerra de l\'eix y)  s\'acoloreix  del color seleccionat.\n\nEl valor per defecte és desactivat.',
		size: '*********',
		size_POINT: 'És el radi del disc que s´utilitza per representar el punt.\n\nSi el valor és 0 el punt no es dibuixa. Això es pot aprofitar per dibuixar textos associats a punts invisibles, fent servir les coordenades de l\'espai.\n\nEl valor per defecte és 2.',
		size_SEQUENCE: 'És el radi del disc que s´utilitza per representar els punts de la successió.\n\nSi el valor és 0 els punts no es dibuixen.\n\nEl valor per defecte és 2.',
		size_SEGMENT: 'És el radi del disc que s´utilitza per representar els extrems del segment.\n\nSi el valor és 0 els extrems no es dibuixen.\n\nEl valor per defecte és 2.',
		width: '*********',
		width_EQUATION: 'És l\'ample o gruix del traç en píxels.\n\nEl valor per defecte és 1. Es recomana utilitzar poc els gruixos diferents d\'1, doncs alenteixen el dibuix.',
		width_CURVE: 'És l\'ample o gruix del traç en píxels, dels segments de la corba.\n\nEl valor per defecte és 1.',
		width_SEGMENT: 'És l\'ample o gruix del traç en píxels, del segment.\n\nEl valor per defecte és 1.',
		width_POLYGON: 'És l\'ample o gruix del traç en píxels, dels segments del polígon.\n\nEl valor per defecte és 1.',
		width_ARC: 'És l\'ample o gruix en píxels, de l´arc.\n\nEl valor per defecte és 1.',
		width_ARROW: 'És l\'ample o gruix en píxels, de la fletxa.\n\nEl valor per defecte és 5.',
		width_TEXT: 'En textos no enriquits, especifica l´amplada màxima d´una línia de text abans d´afegir salts de línia.\n\nQuan s´utilitzen textos enriquits o si el valor és menor que 20, aleshores és ignorat.\n\nEl valor per defecte és 1.',
		width_RECTANGLE: 'Amplada de vora.',
		spear: 'És l´ample de la punta de la fletxa. El valor per defecte és 8.',
		arrow: 'Color de l´interior de la fletxa.\n\nEl valor per defecte és #ee0022.',
		visible: 'Quan està activat, apareix un camp de text a la part inferior de l´escena on es veu l´expressió de l´equació del mateix color que la gràfica i amb el color de fons de l´escena.\n\nEl valor per defecte és no activat.\n\nSi hi ha diverses equacions o corbes en una escena, a sota apareixen els camps de text de totes i cadascuna de les que són visibles. Si son moltes, els camps poden resultar massa petits, per això es recomana no deixar visibles els camps de text de més de tres o quatre equacions o corbes.',
		editable: 'Quan s\'activa, el contingut del camp de text que apareix a sota de l\'escena amb l\'equació (o corba) pot ser modificat per l\'usuari.\n\nAquesta opció, pot ser útil quan es desitja que l\'alumne practiqui l\'escriptura de fórmules.',
		range: 'És una expressió de la forma [n1,n2] on n1 i n2 són dos enters que s\'interpreten com l\'inici i el final de l\'interval d\'enters que n recorrerà. El programa dibuixarà els punts (X,Y) per cada valor de n entre n1 i n2.',
		file: 'Nom del fitxer que conté la imatge que es desitja utilitzar com objecte gràfic. Només es poden utilitzar fitxers jpg i gif. Els arxius d\'imatges es poden col·locar en el mateix lloc on es posa el fitxer html de l´escena o en subdirectoris seus. En el nom de l\'arxiu s\'han d\'incloure els subdirectoris.',
		inirot: 'Angle de gir de l´objecte gràfic, en sentit contrari a les agulles del rellotge.\n\nPot ser una expressió o un nombre fix.',
		inipos: 'És un camp de text amb contingut que ha de ser del tipus (X,Y), on X i Y són expressions reals qualssevol que representen les abscissa i ordenada del punt inicial de la macro respecte a l\'origen de coordenades de l\'espai.',
		name: 'És el nom de la macro que s\'utilitza per poder accedir als seus paràmetres en fer càlculs.\n\nLa sintaxi per accedir als paràmetres és <nom_macro>.nom_del_paràmetre.',
		opacity: 'Nivell d\'opacitat de la imatge, és a dir, quant opaca o translúcida és.\n\nEl valor acceptat és un nombre entre 0 i 1, on 0 és completament transparent i 1 és completament opac.\n\nEl valor per defecte és 1.',
		align: 'Alineació del text respecte d´una caixa, el seu ample està determinat per la mida de la línia de text més llarga que conforma el text i l´alt està determinat per l´altura que ocupa el text.\n\nEl text es pot alinear a la vora esquerra, centrat o a la vora dreta de la caixa.\n\nSi el text consta d´una sola línia, els tres alineaments dibuixen el text de la mateixa manera.',
		anchor: 'Punt d\'ancoratge de la caixa de text, el seu ample està determinat per la mida de la línia de text més llarga que conforma el text i l\'alt està determinat per l\'altura que ocupa el text.\n\nLa posició del text (donada pel paràmetre expressió) i el punt d\'ancoratge, determinen com es construeix la caixa de text i en conseqüència la posició del text dins l\'espai.',
		lineDash: 'Opcions que determinen l´estil de dibuix del traç del gràfic, el qual pot ser un "sòlid", "ratllat" o "puntejat".',
		italics: 'Quan està marca, el text està escrit en cursiva.',
		bold: 'Quan està marcada, el text està escrit en negreta.',
		font_size: 'Mida de la font en píxels.',
		font_family: 'Tipus de lletra utilitzat per dibuixar el text.',
		border_radius: 'Defineix el radi de les cantonades del rectangle.',
		info: 'Comentaris.',
		border_size: 'Mida de la vora en píxels.\nSi el valor és 0, la vora es configura automàticament.',
		shadowColor: 'Commuta l\'efecte ombra sobre el text. També determina el color de l’ombra.',
		shadowBlur: 'Determina el desenfocament de l’ombra. El valor ha de ser superior o igual a zero.',
		shadowOffsetX: 'Especifica la distància horitzontal de l\'ombra.',
		shadowOffsetY: 'Especifica la distància vertical de l\'ombra.',
		clip: 'Expressió de l\'tipus (x, y, w, h) que defineix un rectangle dins de la imatge des d\'on s\'obté la informació de píxels a dibuixar.\n\nEls valors x i i defineixen una posició dins de la imatge.\nEls valors w i h són les dimensions de l\'rectangle.\n\nTots els valors estan definits en coordenades de píxels.\n\nEl valor per defecte és buit, el que indica que s\'utilitza tota la imatge per al dibuix.',
	},

	Graphics3D: {
		name: 'És el nom de la macro que s\'utilitza per poder accedir als seus paràmetres en fer càlculs.\n\nLa sintaxi per accedir als paràmetres és <nom_macro>.nom_del_paràmetre.',
		space: 'Selector que té la llista dels espais de tres dimensions que s\'hagin definit a l\'escena.\n\nS´utilitza per assignar l´espai al qual pertany el gràfic.',
		type: 'És el tipus de gràfic.',
		background: 'Quan està activat el gràfic 3D només es calcula una vegada i s\'actualitza només quan es clica inici.\n\nQuan un gràfic 3D no depèn dels controls ni dels auxiliars, convé definir-lo com de fons, perquè així s\'estalvia feina amb el processador, que no l\'haurà de calcular cada vegada que hi hagi un canvi en l\'escena.',
		color: 'Color del gràfic.\n\nFent un clic sobre el botó, apareix la finestra de configuració de colors.\n\nEl valor per defecte de tots els gràfics és #eeffaa.',
		backcolor: 'Color del revers del gràfic.\n\nFent un clic sobre el botó apareix la finestra de configuració de colors.\n\nEl valor per defecte és #6090a0.',
		drawif: 'Expressió booleana que determina si el gràfic es dibuixa o no.\n\nEl gràfic es dibuixa si l\'expressió està buida o si l\'expressió té valor vertader (o més gran que zero).\n\nEl valor per defecte és buit, la qual cosa indica que sempre es dibuixa.',
		expression: '*********',
		expression_POINT: 'Expressió de la forma:\n\n(X,Y,Z)\n\non X, Y i Z són expressions numèriques qualssevol, que representen la posició a l´espai d´un punt en tres dimensions.\n\nEl valor per defecte és (0,0,0).',
		expression_SEGMENT: 'Expressió de la forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)\n\non X1, Y1, Z1, X2, Y2, Z2 són expressions numèriques, que representen la posició a l´espai dels extrems del segmento en tres dimensions.\n\nEl valor per defecte és (0,0,0)(1,1,1).',
		expression_POLYGON: 'Expressió de la forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)...(Xn,Yn,Zn)\n\non X1, Y1, Z1, X2, Y2, Z2, ..., Xn, Yn, Zn són expressions numèriques, que representen diversos segments que representen un polígon (sense cares) en tres dimensions.\n\nEl valor per defecte és (0,0,0)(1,0,0)(1,1,0)(1,1,1).',
		expression_CURVE: 'Expressió de la forma:\n\nx=X(u)\ny=Y(u)\nz=Z(u)\n\non X, Y i Z són expressions numèriques dependents del paràmetre u.\n\nLa corba es dibuixa com una poligonal amb Nu costats i que els seus Nu+1 vèrtexs són els punts:\n\n(X(i/Nu),Y(i/Nu),Z(i/Nu)) para i=0,...,Nu+1.\n\nAbans de x, y, z es poden definir variables intermèdies que només s\'utilitzen per als càlculs que es realitzen en dibuixar la corba.',
		expression_TRIANGLE: 'Coordenades de tres punts de l´espai, o sigui, una expressió de la forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)(X3,Y3,Z3)\n\non Xi, Yi, per a i=1,2,3 poden ser expressions numèriques.',
		expression_FACE: 'Coordenades d\'un polígon en el pla, és a dir, una expressió de la forma:\n\n(X1,Y1)(X2,Y2)...(Xn,Yn)\n\non Xi, Yi, per a i=1,...,n són expressions numèriques.',
		expression_SURFACE: 'Expressió de la forma:\n\nx=X(u,v)\ny=Y(u,v)\nz=Z(u,v)\n\non X, Y i Z són expressions numèriques dependents dels paràmetres u i v.\n\nLa superfície consta de la xarxa de quadrilàters formada pels punts:\n\n(X(i/Nu,j/Nv),Y(i/Nu,j/Nv),Z(i/Nu,j/Nv))\n\nper a i=0,...,Nu+1 i j=0,...,Nv+1.\n\nAbans de x, y, z es poden definir variables intermèdies, que només s\'utilitzen per als càlculs que es realitzen en dibuixar la superfície.',
		expression_TEXT: 'Expressió de la forma:\n\n[X,Y]\n\non X i Y són expressions numèriques que determinen la posició del text en píxels mesurats d\'esquerra a dreta i de dalt a baix respecte al vèrtex superior esquerre de la finestra de l\'espai.',
		expression_MACRO: 'Nom del fitxer que conté les dades de la macro. El fitxer ha d´estar a la carpeta on està la pàgina que conté l´escena o en subcarpetes seves.',
		useFamily: 'Quan està activat converteix un gràfic en tota una família de gràfics dependent d´un paràmetre.\n\nQuan es selecciona família s´activen els camps "paràmetre", "interval" i "passes".\n\nEl valor per defecte és no activat.',
		family: 'Nom del paràmetre que s´utilitza en la definició de l´objecte gràfic per definir la família.\n\nEl valor per defecte és "s".\n\nEl programa dibuixarà els gràfics, amb els valors de "s", recorrent l´interval especificat en el nombre de passes triat.',
		family_interval: 'Interval sobre el qual el paràmetre de la família obtindrà els valors en recórrer en el nombre de passes especificat.\n\nSón dues expressions reals entre claudàtors i separades per una coma.\n\nEl valor per defecte és [0,1].',
		family_steps: 'Nombre de subintervals iguals en què es divideix l´interval de la família i el paràmetre de la família passa pels extrems dels subintervals.\n\nEl valor per defecte és 8.',
		inirot: 'Vector de tres components (A,B,C) que representa una rotació inicial. El seus elements són rotacions (en graus) al voltant de l\'eix x, de l\'eix y i de l\'eix z, respectivament, que s\'aplicaran sobre l\'objecte gràfic abans de dibuixar-se.\n\nSi s´afegeix la paraula "Euler" abans de la terna ordenada, és a dir, s´escriu Euler(A,B,C), aleshores els angles A, B i C s´interpreten com rotacions d´Euler, o sigui, A és una rotació al voltant de l´eix z, B al voltant del nou eix x (el que  s´obté després de la primera rotació) i C al voltant del nou eix  z (el que s´obté després de les primeres dues rotacions).\n\nNota: S´aplica abans de la translació inicial.',
		inipos: 'Vector de tres components (A,B,C) que representa una translació inicial, que s´aplicarà a l´objecte gràfic abans de dibuixar-se.\n\nNota: S´aplica abans de la rotació inicial i abans de la rotació final.',
		endrot: 'Vector de tres components (A,B,C) que representa una rotació final. El seus elements són rotacions (en graus) al voltant de l\'eix x, de l\'eix y i de l\'eix z, respectivament, que s\'aplicaran sobre l\'objecte gràfic abans de dibuixar-se.\n\nSi s´afegeix la paraula "Euler" abans de la terna ordenada, és a dir, s´escriu Euler(A,B,C), aleshores els angles A, B i C s´interpreten com rotacions d´Euler, o sigui, A és una rotació al voltant de l´eix z, B al voltant del nou eix x (el que s´obté després de la primera rotació) i C al voltant del nou eix  z (el que s´obté després de les primeres dues rotacions).\n\nNota: S´aplica després de la translació inicial i abans de la translació final.',
		endpos: 'Vector de tres components (A,B,C) que representa una translació final, que s´aplicarà a l´objecte gràfic abans de dibuixar-se.\n\nNota: S´aplica després de la rotació final.',
		split: 'Quan està activat, indica si la superfície ha de ser tallada pels gràfics del mateix espai que la precedeixen en la llista, en cas d’intersecció.\n\nEs recomanable mantenir aquesta opció sempre activada, a no ser que s\'estiguin utilitzant molts gràfics que no s’intersequin i convingui fer una mica més ràpida l\'execució.',
		edges: 'Quan està activat determina si les vores de les cares que formen l´objecte s´han de dibuixar o no. Les vores es dibuixen de color gris.',
		text: 'Etiqueta que acompanya l\'objecte gràfic i s\'escriu a prop de la seva posició o allà on es pugui considerar com la seva posició.\n\nEls textos es dibuixen en el mateix color de l\'objecte gràfic.\n\nEls textos poden tenir vàries línies i a més poden incloure valors numèrics variables.\n\nEl valor per defecte és buit.',
		font: '*********',
		decimals: 'Nombre de decimals amb què s\'escriuran els nombres inclosos en el text.\n\nPot ser qualsevol nombre o expressió. En avaluar-se, s\'arrodoneix per decidir el nombre de decimals.\n\nEl seu valor per defecte és 2.',
		fixed: 'Quan està activat determina si el nombre de decimals és fix o si, per contra, es fa servir la notació ajustada, en la qual s\'eliminen els zeros innecessaris i el punt decimal si també és innecessari.\n\nPer exemple: en lloc de 25.3400 s\'escriu 25.34 i en lloc de 13.0 s\'escriu 13 (sense punt decimal).\n\nSi es fa servir notació exponencial sempre s\'escriuen els nombres en forma ajustada, és a dir, l\'atribut fix no intervé en aquest cas.\n\nEl valor per defecte és desactivat.',
		align: 'Alineació del text respecte d´una caixa, el seu ample està determinat per la mida de la línia de text més llarga que conforma el text i l´alt està determinat per l´altura que ocupa el text.\n\nEl text es pot alinear a la vora esquerra, centrat o a la vora dreta de la caixa.\n\nSi el text consta d´una sola línia, els tres alineaments dibuixen el text de la mateixa manera.',
		anchor: 'Punt d\'ancoratge de la caixa de text, el seu ample està determinat per la mida de la línia de text més llarga que conforma el text i l\'alt està determinat per l\'altura que ocupa el text.\n\nLa posició del text (donada pel paràmetre expressió) i el punt d\'ancoratge, determinen com es construeix la caixa de text i en conseqüència la posició del text dins l\'espai.',
		italics: 'Quan està marca, el text està escrit en cursiva.',
		bold: 'Quan està marcada, el text està escrit en negreta.',
		font_size: 'Mida de la font en píxels.',
		font_family: 'Tipus de lletra utilitzat per dibuixar el text.',
		border: 'Color de la vora del text.',
		model: 'Opcions per dibuixar les cares de l\'objecte gràfic.\n\n"color": fa que es dibuixi amb colors sòlids.\n\n"llum": fa que el color sigui més o menys brillant segons l\'orientació, per donar sensació d\'il·luminació.\n\n"metall": és com llum, però amb lluentors més contrastades per donar la impressió de que la superfície és metàl·lica.\n\n"filferro": dibuixa només les vores en el color seleccionat.\n\nNota: Amb model filferro les arestes es dibuixen en el color seleccionat i no en gris como passa en els altres models.',
		width: '*********',
		width_TEXT: 'En textos no enriquits, especifica l´amplada màxima d´una línia de text abans d´afegir salts de línia.\n\nQuan s´utilitzen textos enriquits o si el valor és menor que 20, aleshores és ignorat.\n\nEl valor per defecte és 1.',
		width_POINT: 'Mida del punt en píxels.\n\nEl valor per defecte és 1.',
		width_SEGMENT: 'És l\'ample o gruix en píxels, del segment.\n\nEl valor per defecte és 1.',
		width_POLYGON: 'És l\'ample o gruix en píxels, dels segments del polígon.\n\nEl valor per defecte és 1.',
		width_CURVE: 'És l\'ample o gruix en píxels, dels segments de la corba.\n\nEl valor per defecte és 1.',
		width_POLIREG: 'Meitat del radi del polígon regular si ample=llarg. Si ample!=llarg, aleshores el polígon no és regular, sinó que és una deformació d\'un de regular.',
		width_CUBE: 'Mida de la diagonal del cub.\n\nEl valor per defecte és 2.',
		width_BOX: 'Dimensió al llarg de l´eix x.\n\nEl valor per defecte és 2.',
		width_TETRAHEDRON: 'Mida del tetraedre.\n\nEl valor per defecte és 2.',
		width_OCTAHEDRON: 'Mida de l\'octaedre.\n\nEl valor per defecte és 2.',
		width_DODECAHEDRON: 'Mida del dodecaedre.\n\nEl valor per defecte és 2.',
		width_ICOSAHEDRON: 'Mida de l\'icosaedre.\n\nEl valor per defecte és 2.',
		width_SPHERE: 'Mida del diàmetre de l\'esfera.\n\nEl valor per defecte és 2.',
		width_ELLIPSOID: 'Dimensió al llarg de l´eix x.\n\nEl valor per defecte és 2.',
		width_CONE: 'Dimensió al llarg de l´eix x.\n\nEl valor per defecte és 2.',
		width_CYLINDER: 'Dimensió al llarg de l´eix x.\n\nEl valor per defecte és 2.',
		length: '*********',
		length_BOX: 'Dimensió al llarg de l´eix y.\n\nEl valor per defecte és 2.',
		length_POLIREG: 'Meitat del radi del polígon regular si ample=llarg. Si ample!=llarg, aleshores el polígon no és regular, sinó que és una deformació d\'un de regular.',
		length_ELLIPSOID: 'Dimensió al llarg de l´eix y.\n\nEl valor per defecte és 2.',
		length_CONE: 'Dimensió al llarg de l´eix y.\n\nEl valor per defecte és 2.',
		length_CYLINDER: 'Dimensió al llarg de l´eix y.\n\nEl valor per defecte és 2.',
		height: 'Dimensió al llarg de l´eix z.\n\nEl valor per defecte és 2.',
		Nu: 'Nombre d\'intervals en què es divideix l\'interval unitari [0,1] per al paràmetre "u".',
		Nv: 'Nombre d\'intervals en què es divideix l\'interval unitari [0,1] per al paràmetre "v".',
		offset_dist: 'Desplaçament del text respecte de la posició del punt.',
		offset_angle: 'Angle en què es realitza el desplaçament del text respecte de la posició del punt.',
		info: 'Comentaris.',
		border_size: 'Mida de la vora en píxels.\nSi el valor és 0, la vora es configura automàticament.',
		shadowColor: 'Commuta l\'efecte ombra sobre el text. També determina el color de l’ombra.',
		shadowBlur: 'Determina el desenfocament de l’ombra. El valor ha de ser superior o igual a zero.',
		shadowOffsetX: 'Especifica la distància horitzontal de l\'ombra.',
		shadowOffsetY: 'Especifica la distància vertical de l\'ombra.',
	},

	Animation: {
		useAnimation: 'Quan està activat tots els camps del panell d´animació s´activen i l´autor hi pot escriure o triar opcions per programar l´animació.',
		delay: 'El temps en mil·lisegons que el programa espera en cada pas de l’animació.\n\nEl valor per defecte és 40.\n\nEls valors petits fan que l’animació sigui més ràpida i a l’inrevés. En processadors lents, els valors petits no necessàriament produeixen animacions ràpides.',
		auto: 'Quan està activat determina si l’animació comença automàticament quan l’escena apareix a la pantalla i cada vegada que es clica el botó "inici".\n\nSi el selector no està activat, aleshores l’animació comença quan l’usuari executa una acció que inicia l´animació.',
		loop: 'Quan està activat determina si l’animació es repeteix indefinidament, o bé es deté quan la condició "mentre" deixa de ser vertadera.',
		init: 'Assigna i invoca funcions separades per punt i coma (;), de manera que, tot el que hi hagi en aquest camp s´executa a l´inici del càlcul.',
		doExpr: 'Assigna i invoca funcions separades per salts de línia (\\n), de manera que, tot el que hi hagi en aquest camp s´executa repetidament mentre la condició del paràmetre "mentre" sigui vàlida.',
		whileExpr: 'Expressió booleana que determina la condició per repetir les instruccions del paràmetre "fer".',
		info: 'Comentaris.',
	},

	Extra: {
		expand: 'Expandeix el contingut del camp de text.',
		simple_text_editor: 'Editor de text simple.',
		rich_text_editor: 'Editor de text enriquit.',
	},

  }

  return tooltip;
})(tooltip || {});