/**
* @author Joel Espinosa Longi
* @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
*/

var tooltip = (function(tooltip) {

 /**
  * 
  */
 tooltip.fra = 
 {
	Panels: {
		Buttons: 'Sélectionne les paramètres généraux de la scène et les rangées de contrôles numériques.',
		Spaces: 'Sélectionne le panneau d\'édition d\'espaces.',
		Controls: 'Sélectionne le panneau d\'édition de contrôles.',
		Definitions: 'Sélectionne le panneau d\'édition de définitions.\n\nLes définitions sont les vecteurs, matrices, fonctions, variables et bibliothèques d\'une scène.',
		Programs: 'Sélectionne le panneau d\'édition de programmes.\n\nLes programmes sont les algorithmes et événements d\'une scène.',
		Graphics: 'Sélectionne le panneau d\'édition graphique 2D.',
		Graphics3D: 'Sélectionne le panneau d\'édition graphique 3D.',
		Animation: 'Sélectionne le panneau d\'édition d\'animation.',
	},

	Buttons: {
		width: 'La largeur de la scène en pixels.',
		height: 'La hauteur de la scène en pixels.',
		about: 'Détermine si le bouton "À propos" apparaît dans la scène.\n\nLe bouton "À propos" ouvre une fenêtre avec les informations des auteurs de Descartes.',
		config: 'Détermine si le bouton ""Config"" apparaît dans la scène.\n\nLe bouton ""Config"" ouvre une fenêtre avec les paramètres de la scène.',
		init: 'Détermine si le bouton "Init" apparaît dans la scène.\n\nLe bouton "Init" retourne la scène à son état initial en restaurant les contrôles, les définitions et les programmes.\n\nSi l\'animation automatique est activée, l\'animation recommence.',
		clear: 'Détermine si le bouton "Effacer" apparaît dans la scène.\n\nLe bouton "Effacer" efface les traces laissées par les graphes qui ont l\'option "trace" activée.',
		rowsNorth: 'Nombre de lignes qui occuperont les contrôles numériques placés dans la région nord.\n\nSi sa valeur est zéro, alors il y aura une ligne si nécessaire, sinon il n\'y en aura pas.\n\nLa valeur par défaut est zéro.',
		rowsSouth: 'Nombre de lignes qui occuperont les contrôles numériques placés dans la région sud.\n\nSi sa valeur est zéro, alors il y aura une ligne si nécessaire, sinon il n\'y en aura pas.\n\nLa valeur par défaut est zéro.',
		widthWest: 'La largeur en pixels des contrôles numériques dans la région ouest. La valeur par défaut est de 150.\n\nSi la valeur est de 0, mais qu\'il y a au moins un contrôle numérique dans la région ouest, alors elle prend une valeur par défaut de 125.',
		widthEast: 'La largeur en pixels des contrôles numériques dans la région est. La valeur par défaut est de 150.\n\nSi la valeur est de 0, mais qu\'il y a au moins un contrôle numérique dans la région est, alors elle prend une valeur par défaut de 125.',
		heightRows: 'La hauteur en pixels des contrôles numériques dans les régions nord et sud. La valeur par défaut est de 40.',
		decimal_symbol: 'Symbole utilisé pour séparer un nombre entier des décimales qui le suivent.\n\nCertains pays utilisent un point, d\'autres utilisent une virgule.',
		language: 'Langue dans laquelle les paramètres de la scène sont enregistrés.',
		editable: 'Détermine si l\'espace extérieur est affiché en cliquant avec le bouton droit de la souris sur la scène.',
		expand: 'Options pour modifier les dimensions de la scène.\n\n"Couverture": ne modifie que la largeur et la hauteur des scènes ayant une valeur de 100 %, de sorte qu\'elles ont les dimensions de leur conteneur.\n\n"Échelle": modifie l\'échelle des pixels de la scène pour couvrir les dimensions de son conteneur, ce qui donne un effet de zoom général sur toute la scène.\n\nLa valeur par défaut est vide, ce qui indique qu\'il n\'y a pas de changements de dimensions.',
		image_loader: 'Image à utiliser comme image de chargement de la scène.\n\nLa valeur par défaut est vide, ce qui indique que le logo de Descartes sera affiché.',
	},

	Definitions: {
		id: 'Identifiant de la définition.\n\nDans le cas d\'une fonction, il devrait inclure les paramètres sur lesquels elle dépend, écrits entre parenthèses et séparés par des virgules. Par exemple : f(x, y, z).',
		expression: 'Valeur de la constante, variable ou fonction.',
		evaluate: 'Options qui permettent de définir si la constante, l\'expression vectorielle ou l\'algorithme doit être évalué chaque fois que l\'utilisateur modifie un contrôle ou seulement une fois lorsque la scène démarre.\n\nIl est important de sélectionner "une seule fois" lorsque cela est possible pour rendre la scène plus rapide.',
		size: 'Nombre de composantes du vecteur.',
		rows: 'Nombre de lignes de la matrice.',
		columns: 'Nombre de colonnes de la matrice.',
		range: 'Expression booléenne qui détermine le domaine de la fonction.\n\nTenter d\'évaluer la fonction en dehors de son domaine entraînera une exception.\n\nCela aura pour conséquence, par exemple, de ne pas dessiner le graphique de la fonction aux points en dehors de son domaine.\n\nSa valeur par défaut est vide, ce qui est interprété comme ayant un domaine non restreint.',
		algorithm: 'Lorsqu\'elle est cochée, cela indique que la fonction à évaluer doit utiliser un algorithme ; c\'est-à-dire utiliser les calculs indiqués dans "init", "do" et "while".\n\nLa valeur par défaut n\'est pas activée.',
		expression2: 'Affectations aux valeurs de vecteur, séparées par des points-virgules (;) ou des sauts de ligne (\\n).\n\nPar exemple, si l\'identificateur de vecteur est v et qu\'il a une taille de 3, vous pouvez écrire :\n\nv[0] = 1\nv[1] = 2,5\nv[2] = -3,1',
		local: 'Déclaration des variables qui doivent être protégées pendant l\'exécution de la fonction.\n\nPour protéger les variables, vous devez entrer les identificateurs séparés par des virgules (,) ou des points-virgules (;).\n\nPar exemple : i,j;k.',
		init: 'Affectations et appels de fonctions séparés par des points-virgules (;), de sorte que tout ce qui se trouve dans ce champ est exécuté au début du calcul.',
		doExpr: 'Assignations et appels de fonctions séparés par des sauts de ligne (\\n), de sorte que tout ce qui se trouve dans ce champ est exécuté à plusieurs reprises tant que la condition du paramètre "while" est valide.',
		whileExpr: 'Expression booléenne qui détermine la condition pour répéter les instructions du paramètre "do".',
		file: 'Fichier texte (avec une extension .txt recommandée) dans lequel les valeurs des éléments du vecteur apparaissent dans l\'ordre, séparées par un saut de ligne.\n\nLes valeurs peuvent être numériques ou des chaînes de caractères, auquel cas elles doivent apparaître entre guillemets simples, par exemple \'valeur\'.',
		doc: 'Documentation de la bibliothèque.',
		code: 'Code source JavaScript.',
		info: 'Commentaires.',
	},

	Spaces: {
		type: 'Détermine le type d\'espace qui peut être utilisé. Il peut s\'agir d\'un espace à deux ou trois dimensions ou d\'un HTMLIFrame.',
		id: 'Identificateur de l\'espace.',
		cID: '*********',
		x: 'L\'abscisse du coin supérieur gauche de la fenêtre affichant l\'espace. Il s\'agit de la distance par rapport à la marge gauche de la scène.\n\nIl peut être spécifié avec un nombre de pixels (par exemple 20) ou avec un pourcentage (par exemple 10%) de la largeur totale de la scène.',
		y: 'L\'ordonnée du coin supérieur gauche de la fenêtre affichant l\'espace. Il s\'agit de la distance par rapport à la marge supérieure de la scène.\n\nIl peut être spécifié avec un nombre de pixels (par exemple 20) ou avec un pourcentage (par exemple 10%) de la hauteur totale de la scène.',
		width: 'La largeur de l\'espace.\n\nIl peut être spécifié avec un nombre de pixels (par exemple 240) ou avec un pourcentage (par exemple 50%) de la largeur totale de la scène.',
		height: 'La hauteur de l\'espace.\n\nIl peut être spécifié avec un nombre de pixels (par exemple 180) ou avec un pourcentage (par exemple 50%) de la hauteur totale de la scène.',
		drawif: 'Expression booléenne utilisée pour déterminer si l\'espace est visible ou non.\n\nL\'espace est invisible si et seulement si la valeur de l\'expression est zéro.\n\nSi elle est laissée vide, cet espace sera toujours visible.',
		fixed: '*********',
		fixed_R2: 'Lorsqu\'elle est cochée, elle empêche l\'utilisateur de modifier l\'échelle ou l\'emplacement de l\'origine en faisant glisser l\'espace avec la souris.',
		fixed_R3: 'Lorsqu\'elle est cochée, elle empêche l\'utilisateur de modifier le point de vue en faisant glisser l\'espace avec la souris.',
		scale: 'Taille en pixels d\'un segment unitaire (ou de longueur 1).\n\nPour le modifier, il faut le désigner par <id>.scale où <id> est l\'identificateur de l\'espace.\n\nRemarque : Il est important que ces identificateurs ne contiennent pas d\'espaces ou de symboles d\'opérateurs.',
		"O.x": 'Distance en pixels à droite du centre de l\'espace, entre le centre de l\'espace et le point où l\'origine des coordonnées sera placée.\n\nPour le modifier, il faut le désigner par <id>.Ox où <id> est l\'identificateur de l\'espace.\n\nRemarque : Il est important que ces identificateurs ne contiennent pas d\'espaces ou de symboles d\'opérateurs.',
		"O.y": 'Distance en pixels vers le bas à partir du centre de l\'espace, entre le centre de l\'espace et le point où l\'origine des coordonnées sera placée.\n\nPour le modifier, il faut le désigner par <id>.Oy où <id> est l\'identificateur de l\'espace.\n\nRemarque : Il est important que ces identificateurs ne contiennent pas d\'espaces ou de symboles d\'opérateurs.',
		image: 'Image utilisée comme arrière-plan de l\'espace.\n\nLes fichiers d\'image doivent être placés dans le même répertoire que le fichier html de la scène ou dans des sous-répertoires à partir de là, en plus il est nécessaire d\'inclure les sous-répertoires dans le nom de fichier.\n\nVous pouvez utiliser des fichiers png, jpg, gif et svg.',
		bg_display: 'Options pour modifier la façon dont l\'image d\'arrière-plan de l\'espace sera affichée.\n\n"topleft": Le coin supérieur gauche de l\'image est aligné avec le coin supérieur gauche de l\'espace.\n\n"stretch": l\'image est mise à l\'échelle pour couvrir l\'espace.\n\n"patch": l\'image est répétée autant de fois que nécessaire pour couvrir l\'espace.\n\n"center": l\'image est dessinée centrée dans l\'espace.',
		background: 'Couleur de fond de l\'espace.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLa valeur par défaut est blanc (#ffffff).',
		axes: 'Couleur des axes de coordonnées.\n\nLe sélecteur permet de décider si les axes sont dessinés ou non.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLes valeurs par défaut sont le sélecteur coché et la couleur gris foncé (#404040).',
		net: 'Couleur de la grille de lignes parallèles aux axes de coordonnées utilisée comme référence.\n\nLe sélecteur est utilisé pour décider si la grille est dessinée ou non.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLes valeurs par défaut sont le sélecteur coché et la couleur gris clair (#c0c0c0).',
		net10: 'Couleur d\'une grille qui est dessinée tous les 10 unités de la grille précédente.\n\nLe sélecteur est utilisé pour décider si rouge10 est dessiné ou non.\n\nLe bouton appelle l\'éditeur de couleurs.\n\nLes valeurs par défaut sont le sélecteur coché et la couleur grise (#808080).',
		text: 'Coordonnées de couleur affichées en cliquant gauche dans l\'espace.\n\nLe sélecteur est utilisé pour décider si les coordonnées sont écrites ou non.\n\nLe bouton appelle l\'éditeur de couleurs.\n\nLes valeurs par défaut sont le sélecteur non coché.',
		numbers: 'Détermine si certaines valeurs des coordonnées doivent être écrites sur les axes. Lorsqu\'elles sont affichées, les coordonnées apparaissent dans la même couleur que les axes.\n\nLes coordonnées ne seront affichées que lorsque les axes sont dessinés.\n\nLa valeur par défaut n\'est pas cochée.',
		x_axis: 'Libellé qui sera dessiné à droite de la scène, juste en dessous de l\'axe des x.\n\nLa couleur de l\'étiquette est la même que celle des axes.\n\nSi le contenu de ce champ est "no", alors l\'axe n\'est pas dessiné.',
		y_axis: 'Libellé qui sera dessiné en haut de la scène, juste à droite de l\'axe des y.\n\nLa couleur de l\'étiquette est la même que celle des axes.\n\nSi le contenu de ce champ est "no", alors l\'axe n\'est pas dessiné.',
		render: 'Méthode utilisée pour afficher des objets en trois dimensions.\n\n"sort": dessine des objets en trois dimensions de l\'arrière vers l\'avant. C\'est le plus rapide, mais il a des défauts lorsque les objets sont composés de grandes faces.\n\n"painter": est un peu plus lent mais est beaucoup plus fiable que l\'option "sort".',
		split: 'Lorsqu\'il est coché, il détermine si tous les objets de l\'espace sont coupés les uns aux autres.\n\nLa valeur par défaut n\'est pas cochée.\n\nSi deux surfaces se croisent mais ne sont pas autorisées à être coupées, leur affichage est "impossible" et le dessin est incompréhensible.\n\nLorsque les objets de l\'espace ne se croisent pas les uns les autres, il n\'est pas nécessaire de sélectionner cette option.',
		sensitive_to_mouse_movements: 'Lorsqu\'il est cochée, cela détermine si la scène détectera les mouvements de la souris sur cet espace.\n\nLa valeur par défaut n\'est pas cochée.',
		file: 'Nom de fichier référencé par l\'espace HTMLIFrame.',
		info: 'Commentaires.',
		resizable: 'Permet à la largeur et la hauteur de l\'espace de changer, ce qui permet l\'évaluation de variables dans ces paramètres.\n\nNote: cela modifie le comportement original, où les espaces ne peuvent pas être plus grands que la zone de la scène.',
		border_color: 'Couleur de la bordure dans l\'espace.',
		border_width: 'Largeur de la bordure.',
		border_radius: 'Définit le rayon des coins de l\'espace.',
	},

	ListEditButtons: {
		add: 'Ajoute un nouvel élément à la liste.',
		clone: 'Ajoute un nouvel élément à la liste identique à celui sélectionné.',
		delete: 'Supprime l\'élément sélectionné de la liste.',
		list: 'Ouvre une fenêtre de texte pour éditer manuellement tous les objets de la liste.',
		up_down: 'Changez l\'ordre de la liste en échangeant l\'élément sélectionné avec son voisin.\n\nS\'il est enfoncé, cela répète rapidement l\'opération.',
	},

	Controls: {
		id: 'Identifiant du contrôle.\n\nSi le contrôle est numérique, alors <id> est le nom de la variable numérique qui le représente.\n\nS\'il est graphique, alors <id>.x et <id>.y sont les coordonnées du contrôle.',
		type: '*********',
		gui: 'Type d\'interface graphique du contrôle numérique. Les options sont : "spinner", "champ de texte", "menu", "barre de défilement" et "bouton".',
		onlyText: 'Lorsqu\'il est activé, cela fait en sorte que le champ de texte n\'interprète pas les nombres ou les variables qui y sont écrits, en prenant l\'entrée comme des chaînes de caractères de texte.',
		region: 'Région de la scène où le contrôle numérique est assigné.\n\n"north" : une ou plusieurs rangées horizontales en haut de la scène entre les boutons "à propos" et "config".\n\n"south" : une ou plusieurs rangées horizontales en bas de la scène entre les boutons "initialiser" et "effacer".\n\n"ouest" et "est" : ce sont des colonnes à gauche et à droite de la scène.\n\n"externe" est une fenêtre qui apparaît lorsque vous faites un clic droit sur la scène.\n\n"intérieur" : lorsqu\'un contrôle numérique est associé à la région intérieure, il peut être placé dans n\'importe lequel des espaces de la scène et sa position y est déterminée par le paramètre "expression".\n\nLa valeur par défaut est "sud".',
		space: 'Liste avec les identifiants de tous les espaces définis dans la scène.\n\nCe paramètre n\'a de sens que dans les contrôles assignés à la région intérieure et les contrôles graphiques.',
		color_CTRGRAPHIC: 'Couleur de la circonférence du disque représentant un contrôle graphique.\n\nLa couleur par défaut de la bordure est #222222.',
		colorInt_CTRGRAPHIC: 'Couleur du cercle ou de l\'intérieur de la circonférence du disque qui représente un contrôle graphique.\n\nLa couleur par défaut de l\'intérieur est #f0f8ff.',
		image_CTRGRAPHIC: 'Nom de fichier d\'une image qui sera utilisée à la place du cercle que Descartes utilise pour afficher ce contrôle graphique.',
		size: 'Rayon du contrôle graphique en pixels.\n\nIl peut être n\'importe quel nombre ou expression positive.\n\nSa valeur par défaut est 4.',
		name: 'Nom externe du contrôle qui apparaît comme étiquette à gauche du contrôle numérique et n\'a pas d\'autres fonctions dans le programme.\n\nSa valeur par défaut est égale à l\'identifiant du contrôle.',
		expression: 'Coin supérieur gauche d\'un contrôle numérique intérieur.\n\nIl est exprimé avec deux nombres entre parenthèses séparés par une virgule. Les nombres peuvent être des constantes ou des expressions impliquant des constantes ou des paramètres définis dans des contrôles précédents.\n\nDans le cas d\'un contrôle numérique intérieur, une expression de quatre valeurs (x, y, w, h) peut être utilisée où les deux premières sont les coordonnées du coin supérieur gauche du contrôle et les deux dernières sont la largeur et la hauteur.\n\nLa valeur par défaut est (0, 0, 150, 40).',
		expression_CTRGRAPHIC: 'Point de départ d\'un contrôle graphique.\n\nIl est exprimé avec deux nombres entre parenthèses séparés par une virgule. Les nombres peuvent être des constantes ou des expressions impliquant des constantes ou des paramètres définis dans des contrôles précédents.\n\nLa valeur par défaut est (0,0).',
		value: 'Valeur initiale de la variable <id>.\n\nIl peut s\'agir d\'une expression décimale ou d\'une formule dans laquelle il y a des constantes ou des paramètres définis dans des contrôles précédents.\n\nSa valeur par défaut est 0.\n\nDans le cas des boutons, c\'est la valeur qui est assignée à la variable lorsque le bouton est pressé.',
		constraint: 'Équation en x ou y que les coordonnées du contrôle graphique doivent satisfaire. Cela restreint le contrôle à se déplacer sur le graphe de sa contrainte.\n\nIl peut s\'agir de n\'importe quelle expression ou être vide. S\'il est vide, le contrôle n\'est pas restreint.\n\nLa valeur par défaut est vide.',
		text: 'Étiquette attachée au contrôle.\n\nIl peut s\'agir de n\'importe quel texte et peut également inclure des valeurs numériques de variables.\n\nLa valeur par défaut est vide.',
		text_CTRTEXT: 'Contenu initial de la zone de texte.\n\nLa valeur par défaut est vide.',
		incr: 'Quantité qui augmente ou diminue la valeur de la variable <id> lorsque les flèches du contrôle numérique sont pressées.\n\nIl peut s\'agir d\'une constante ou d\'une expression.\n\nLa valeur par défaut est 0,1.',
		min: 'Valeur minimale que le contrôle peut avoir.\n\nIl peut s\'agir d\'une constante, d\'une expression ou être vide, auquel cas il n\'y a pas de valeur minimale et le contrôle n\'a pas de limite inférieure.\n\nLa valeur par défaut est vide.',
		max: 'Valeur maximale que le contrôle peut avoir.\n\nIl peut s\'agir d\'une constante, d\'une expression ou être vide, auquel cas il n\'y a pas de valeur maximale et le contrôle n\'a pas de limite supérieure.\n\nLa valeur par défaut est vide.',
		discrete: 'Force la valeur des contrôles numériques à être différente de la valeur initiale uniquement par des multiples exacts de l\'incrément.\n\nCela fonctionne correctement uniquement si l\'incrément est constant et peut également être exprimé de manière exacte avec le nombre de décimales choisi.\n\nLa valeur par défaut n\'est pas cochée.',
		decimals: 'Nombre de décimales avec lesquelles les valeurs de <id> seront écrites.\n\nIl peut s\'agir de n\'importe quel nombre ou expression.\n\nL\'expression est évaluée et arrondie à l\'entier le plus proche pour spécifier le nombre de décimales, par exemple 3,5 est arrondi à 4.\n\nSa valeur par défaut est 2.',
		fixed: 'Lorsque coché, écrit les nombres avec le nombre de décimales spécifié.\n\nS\'il n\'est pas coché, la notation ajustée est utilisée à la place. Dans ce cas, les zéros inutiles et le point décimal inutile sont éliminés. Par exemple, au lieu de 25,3400, on écrit 25,34 et au lieu de 13,0, on écrit 13 (sans point décimal).\n\nSi la notation exponentielle est utilisée, les nombres sont toujours écrits en notation ajustée, c\'est-à-dire que l\'attribut fixe est ignoré.\n\nLa valeur par défaut est cochée.',
		exponentialif: 'Expression booléenne dont la satisfaction entraîne l\'écriture de la valeur du paramètre en notation exponentielle. Si l\'expression est vide, la notation exponentielle n\'est jamais utilisée. Il est important de noter que cela n\'impose pas la notation exponentielle, cela ne fait que la permettre. Si l\'expression n\'est pas satisfaite, il n\'y aura pas de notation exponentielle.\n\nLa valeur par défaut est vide.',
		visible: 'Indique si la valeur du paramètre doit être affichée ou non (le nom et les boutons spinner sont toujours affichés).\n\nLa valeur par défaut est cochée, c\'est-à-dire que la valeur du paramètre est affichée.',
		trace: 'Indique que lorsque le contrôle graphique est déplacé, il doit laisser une trace de son chemin. La trace du contrôle correspond seulement à la bordure.\n\nLa valeur par défaut n\'est pas cochée.',
		color: 'Couleur du texte sur l\'étiquette du bouton.',
		colorInt: 'Couleur de l\'arrière-plan sur l\'étiquette du bouton.',
		bold: 'Lorsqu\'il est coché, le texte sur l\'étiquette du bouton est écrit en gras.',
		italics: 'Lorsqu\'il est coché, le texte sur l\'étiquette du bouton est écrit en italique.',
		underlined: 'Lorsqu\'il est coché, le texte sur l\'étiquette du bouton est souligné.',
		font_family: 'Police utilisée pour dessiner le texte.',
		font_size: 'Taille de la police en points avec laquelle l\'étiquette du bouton est écrite.',
		image: 'Nom de fichier d\'une image à utiliser comme arrière-plan du bouton.\n\nSi le dossier contenant le fichier image a un autre fichier avec le même nom que le fichier image mais suivi de "_over" qui a la même extension, alors l\'image dans ce fichier apparaîtra lorsque la souris est sur le bouton.\n\nSi le dossier contenant le fichier image a un autre fichier avec le même nom que le fichier image mais suivi de "_down", qui a la même extension, alors l\'image de ce fichier apparaîtra lorsque l\'on clique avec la souris sur le bouton.',
		options: 'Liste des options que le "menu" affiche.\n\nLes options doivent être des textes séparés par des virgules. Après chaque mot, la valeur qui doit être attribuée au paramètre lorsque cette option est sélectionnée peut être comprise entre crochets []. Si la valeur n\'est pas définie, une valeur entière correspondant à l\'indice de l\'option est automatiquement attribuée.',
		action: 'L\'action qui est effectuée lorsque l\'utilisateur manipule le contrôle (appuie sur le bouton, sélectionne un élément dans un menu, déplace la barre de défilement, clique sur un bouton ou donne <entrée> dans le champ de texte).\n\nLes actions possibles sont les suivantes : "calculate", "init", "clear", "animate", "open URL", "open Scene" et "play".',
		parameter: 'Le paramètre de l\'action.\n\nSi l\'action est "calculate", alors il doit contenir une ou plusieurs affectations séparées par un point-virgule (;) ou un saut de ligne (\\n), que le programme exécutera lorsque l\'action sera exécutée.\n\nSi l\'action est "open URL", le paramètre doit être une URL.\n\nSi l\'action est "open Scene", le paramètre doit être une adresse relative et ouvre la scène Descartes qui se trouve dans un fichier texte à cette adresse.\n\nLes autres actions n\'utilisent pas le paramètre.',
		drawif: 'Expression booléenne qui détermine quand le contrôle est visible.\n\nLa valeur par défaut est vide et dans ce cas, le contrôle est toujours visible.',
		activeif: 'Expression booléenne qui détermine quand le contrôle est actif.\n\nLa valeur par défaut est vide et dans ce cas, il est possible d\'interagir avec le contrôle.',
		evaluate: 'Lorsque cette case est cochée, elle force le contrôle à effectuer une évaluation.\n\nCeci s\'applique uniquement aux contrôles qui posent des questions et où une réponse doit être évaluée en comparant la réponse de l\'utilisateur avec la réponse de la leçon.\n\nPar défaut, la case n\'est pas cochée. Dans ce cas, les champs de texte "réponse" et "poids" sont inactifs.',
		answer: 'Ce champ est inactif tant que le sélecteur "évaluer" est désactivé.\n\nLa réponse attendue, programmée par l\'auteur de la leçon. C\'est la réponse par rapport à laquelle la réponse de l\'utilisateur est comparée pour déterminer si elle est correcte.\n\nCela s\'applique uniquement aux contrôles qui posent des questions et où une réponse doit être évaluée en comparant la réponse de l\'utilisateur à celle de la leçon.\n\nElle peut se composer d\'un ou plusieurs textes séparés par des |, chacun d\'entre eux étant comparé à la réponse de l\'utilisateur.\n\nS\'il y a correspondance, la réponse est marquée comme correcte, sinon elle est marquée comme fausse.\n\nLorsque la réponse attendue est numérique, l\'auteur de la leçon doit établir un intervalle valide, par exemple [a,b], (a,b), (a,b] ou [a,a].\n\nLorsque le contrôle est du type "texte uniquement", l\'évaluation de la réponse se fait en comparant lettre par lettre.\n\nSi une option de réponse se termine par *, la réponse de l\'utilisateur est comparée uniquement avec le début de la réponse.\n\nSi une option de réponse commence par *, la réponse de l\'utilisateur doit se terminer par cette réponse.\n\nSi une option de réponse commence et se termine par *, par exemple réponse, la réponse de l\'utilisateur doit contenir "réponse".\n\nSi la réponse attendue peut être en minuscules ou en majuscules, l\'option de réponse doit être écrite entre guillemets simples, par exemple \'réponse\'.\n\nSi les accents ou n ou ñ ne sont pas distinguables, l\'option de réponse doit être écrite entre des accents graves et des accents aigus, par exemple `réponse´.\n\nDe même, `\'réponse\'´ permet d\'ignorer les minuscules et majuscules, les accents et n ou ñ.\n\nPour ignorer une lettre, un ? doit être utilisé à la place de la lettre.',
		weight: 'Poids (dans le contexte d\'une moyenne pondérée) attribué à la réponse lors de l\'évaluation pour calculer la note.\n\nSeules les valeurs entières positives sont prises en charge et il est recommandé d\'utiliser 0, 1 ou 2.',
		tooltip: 'Texte qui apparaît lorsque la souris s\'arrête plus d\'une seconde et demie sur l\'étiquette d\'un contrôle numérique ou à l\'intérieur du cercle d\'un contrôle graphique.\n\nLa valeur par défaut est vide.',
		explication: 'Texte qui apparaît lorsque l\'utilisateur fait un clic droit sur l\'étiquette d\'un contrôle numérique ou à l\'intérieur du cercle d\'un contrôle graphique.\n\nLa valeur par défaut est la valeur de "tooltip".',
		cID: 'Identifiant des contrôles qui sont sur la scène.\n\nIl est utile uniquement dans les scènes Arquimedes ou Discurso.\n\nLa valeur de l\'identifiant est calculée par le programme en fonction du moment précis où il a été créé, de sorte que tous les identifiants créés sur le même ordinateur sont différents.\n\nIl n\'est pas recommandé de manipuler cet identifiant.',
		file: 'Nom du fichier multimédia (audio ou vidéo).',
		info: 'Commentaires.',
		borderColor: 'Couleur de la bordure du texte du bouton.\n\nLorsqu\'il est activé, le texte du bouton est dessiné avec une bordure de la couleur sélectionnée.\n\nLa valeur par défaut est désactivée.',
		flat: 'Lorsqu\'il est activé, le bouton est dessiné sans gradient (style plat).\n\nLa valeur par défaut est désactivée, c\'est-à-dire que le bouton est dessiné avec un gradient (style Descartes traditionnel).',
		text_align: 'Options pour choisir l\'alignement de l\'étiquette du bouton, par rapport à la région rectangulaire occupée par le contrôle.',
		image_align: 'Options pour choisir l\'alignement de l\'image du bouton, par rapport à la région rectangulaire occupée par le contrôle.',
		btn_pos: 'Options pour choisir la position des boutons du spinner.\n\nLes boutons peuvent être placés verticalement ou horizontalement, à gauche ou à droite du champ de texte du spinner.',
		image_dec: 'Nom de fichier d\'une image à utiliser comme arrière-plan du bouton de diminution du spinner.',
		image_inc: 'Nom de fichier d\'une image à utiliser comme arrière-plan du bouton d\'augmentation du spinner.',
		extra_style: 'Style supplémentaire pour les boutons.',
		radio_group: 'Si vide, le contrôle est une case à cocher.\n\nS\'il a un nom, le contrôle est un bouton radio avec le nom de partage spécifié. Lorsqu\'il s\'agit d\'un bouton radio, un seul des contrôles du même groupe est sélectionné.',
		label_color: 'Couleur de fond de l\'étiquette.',
		label_text_color: 'Couleur de texte de l\'étiquette.',
		position: 'Position du contrôle.',
		keyboard: 'Lorsqu\'il est activé, il affiche un clavier virtuel pour modifier la valeur du champ de texte.\n\nLa valeur par défaut n\'est pas cochée.',
		kblayout: 'Disposition des touches à utiliser sur le clavier virtuel.',
		kbexp: 'Position du coin supérieur gauche du clavier virtuel.',
		color_CTRSCROLL: 'Couleur de fond de la barre de défilement.',
		colorInt_CTRSCROLL: 'Couleur de la poignée et des flèches de la barre de défilement.',
	},

	Programs: {
		id: 'Identificateur du programme.',
		evaluate: 'Options qui permettent de définir si la constante, l\'expression vectorielle ou l\'algorithme doivent être évalués à chaque fois que l\'utilisateur modifie un contrôle ou une seule fois lorsque la scène démarre.\n\nIl est important de sélectionner "une seule fois" lorsque cela est possible pour accélérer le fonctionnement de la scène.',
		init: 'Assignations et appels de fonctions séparés par des points-virgules (;), de sorte que tout ce qui se trouve dans ce champ soit exécuté au début du calcul.',
		doExpr: 'Assignations et appels de fonctions séparés par des sauts de ligne (\\n), de sorte que tout ce qui se trouve dans ce champ soit exécuté en boucle tant que la condition du paramètre "while" est vraie.',
		whileExpr: 'Expression booléenne qui détermine la condition pour répéter les instructions du paramètre "do".',
		condition: 'Expression booléenne qui, lorsqu\'elle est remplie, exécute l\'action.\n\nLa répétition de l\'action est conditionnée par le paramètre "exécution".',
		action: 'Action qui est exécutée lors de l\'interaction avec la scène et qui remplit la condition booléenne du paramètre "condition".\n\nIl existe les actions suivantes : "calculer", "ouvrir URL", "ouvrir scène", "initialiser", "effacer", "animer", "initialiser l\'animation" et "jouer".',
		parameter: 'Paramètre utilisé pour l\'action.\n\nSi l\'action est "calculer", il doit contenir zéro ou plusieurs assignations que le programme effectuera lors de l\'exécution de l\'action.\n\nSi l\'action est "ouvrir URL", alors elle doit être une URL quelconque.\n\nSi l\'action est "ouvrir scène", alors elle doit être une adresse absolue ou relative vers la scène de Descartes qui sera ouverte.\n\nLes autres actions n\'utilisent pas le paramètre.',
		execution: 'Détermine le mode d\'exécution de l\'action événementielle.\n\n"une seule fois" : l\'action n\'est exécutée qu\'une seule fois lorsque la condition est remplie pour la première fois.\n\n"alternée" : l\'action est exécutée la première fois que la condition est remplie, mais si la condition n\'est plus valide et qu\'elle devient valide plus tard, alors l\'action est exécutée à nouveau.\n\n"toujours" : l\'action est exécutée à chaque fois que la condition est remplie.\n\nLa valeur par défaut est "une seule fois".',
		info: 'Commentaires.',
	},

	Graphics: {
		space: 'Liste des espaces bidimensionnels qui ont été définis.\n\nElle est utilisée pour attribuer l\'espace auquel le graphique appartient.',
		type: 'Le type de graphique.',
		background: 'Lorsqu\'il est activé, il indique que le graphique est dessiné uniquement en arrière-plan de la scène, et n\'est donc mis à jour que lorsque "init" est appuyé et lorsque l\'échelle ou la position de l\'origine (O.x et O.y) est modifiée.\n\nLorsqu\'un graphique est toujours fixe dans la scène, c\'est-à-dire qu\'il ne dépend pas des contrôles, des définitions ou des programmes, il est conseillé d\'activer cette option, ce qui permet de gagner du temps en ne dessinant le graphique qu\'une seule fois lorsqu\'il y a un changement dans la scène.',
		color: 'Couleur du graphique.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLa valeur par défaut est #20303a.',
		color_ARROW: 'Couleur du bord de la flèche, son intérieur étant dessiné dans la couleur du paramètre "flèche".\n\nLa valeur par défaut est #20303a.',
		drawif: 'Expression booléenne qui détermine si le graphique est dessiné ou non.\n\nLe graphique est dessiné si l\'expression est vide ou si elle a une valeur vraie (ou supérieure à zéro).\n\nLa valeur par défaut est vide, ce qui indique qu\'il est toujours dessiné.',
		drawif_EQUATION: 'Expression booléenne qui détermine si le graphique est dessiné ou non.\n\nLe graphique est dessiné si l\'expression est vide ou si elle a une valeur vraie (ou supérieure à zéro).\n\nSi l\'expression dépend de x ou y, et que le graphique est une équation, alors seuls les points sur le graphique qui satisfont l\'expression sont dessinés.\n\nSi la valeur de x ou y ne permet pas de satisfaire l\'expression au moment où un objet doit être dessiné, alors il n\'est pas dessiné (il incombe à l\'auteur de contrôler la valeur de x et y en dehors des équations).\n\nLa valeur par défaut est vide, ce qui indique qu\'il est toujours dessiné.',
		abs_coord: 'Si coché, le graphique est interprété en pixels et en coordonnées absolues, avec l\'origine dans le coin supérieur gauche de la zone de l\'espace auquel le graphique appartient et l\'échelle égale à 1 pixel par unité.\n\nLes graphiques définis en coordonnées absolues ne bougent pas lorsque l\'origine ou l\'échelle du système sont modifiées.',
		expression_EQUATION: 'Cela doit être une équation en x, y. L\'objet graphique associé à une équation est le lieu des points qui la satisfont.\n\nLa valeur par défaut est y = x.',
		expression_CURVE: 'Expression de la forme (f(t), g(t)), où f et g sont n\'importe quelles fonctions du paramètre t (ou qui sont définies dans le champ "paramètre").\n\nLa valeur par défaut est (t, t).',
		expression_SEQUENCE: 'Expression de type (X, Y), où X et Y sont des expressions réelles dépendantes de n, qui représentent l\'abscisse et l\'ordonnée des points de la séquence.\n\nLa valeur par défaut est (n, 1/n).',
		expression_POINT: 'Expression du type (X,Y), où X et Y sont des expressions réelles quelconques représentant l\'abscisse et l\'ordonnée du point.\n\nLa valeur par défaut est (0,0).',
		expression_SEGMENT: 'Expression du type (X1,Y1)(X2,Y2), où (X1,Y1) sont les coordonnées du début du segment et (X2,Y2) celles de la fin du segment.\n\nLa valeur par défaut est (0,0)(1,1), c\'est-à-dire le segment entre l\'origine et le point (1,1).',
		expression_ARROW: 'Expression du type (X1,Y1)(X2,Y2), où (X1,Y1) sont les coordonnées du début de la flèche et (X2,Y2) celles de l\'extrémité.\n\nLa valeur par défaut est (0,0) (1,1), c\'est-à-dire la flèche qui va de l\'origine au point (1,1).',
		expression_POLYGON: 'Expression du type (X1,y1)(x2,y2)...(xN,yN),\n\noù xn et yn sont des expressions réelles arbitraires.\n\nLe graphique est le polygone avec des sommets aux points (xn, yn).\n\nLa valeur par défaut est (0,0)(1,1)(2,-1).',
		expression_FILL: 'Expression du type (X,Y), où X et Y sont des expressions réelles quelconques représentant l\'abscisse et l\'ordonnée du point où la région fermée ayant le point (X,Y) à l\'intérieur est remplie.\n\nLa valeur par défaut est (0,0).',
		expression_TEXT: 'Expression du type [X,Y], où X et Y sont des expressions réelles quelconques représentant l\'abscisse et l\'ordonnée du début du texte, mais mesurées en pixels à partir du coin supérieur gauche de la scène.\n\nLa valeur par défaut est [20,20].',
		expression_IMAGE: 'Expression du type (X,Y), où X et Y sont des expressions réelles quelconques représentant l\'abscisse et l\'ordonnée du coin supérieur gauche de l\'image par rapport à l\'origine des coordonnées spatiales.\n\nLa valeur par défaut est (0,0).',
		expression_RECTANGLE: 'Expression du type (X,Y,W,H), où X et Y sont des expressions réelles quelconques représentant l\'abscisse et l\'ordonnée du coin supérieur gauche du rectangle en coordonnées absolues, ou du coin inférieur gauche du rectangle en coordonnées relatives. W est la largeur et H est la hauteur du rectangle.\n\nLa valeur par défaut est (0,0,2,1).',
		expression_MACRO: 'Nom du fichier contenant les données de la macro. Le fichier doit être dans le dossier où se trouve la page contenant la scène ou dans les sous-dossiers de la scène.',
		expression: '*********',
		center: 'Expression du type (X, Y) représentant le centre de l\'arc, où X et Y peuvent être des expressions réelles arbitraires.\n\nLa valeur par défaut est (0,0).',
		radius: 'Expression réelle arbitraire, qui représente le rayon de l\'arc.',
		init: 'Début de l\'arc.\n\nIl y a deux options: il peut s\'agir d\'une expression réelle arbitraire, qui sera interprétée comme l\'angle initial mesuré en degrés, ou il peut s\'agir d\'une expression de la forme (x1,y1) qui sera interprétée comme le point de coordonnées x1, y1. Dans ce cas, l\'arc commence par le segment qui relie le centre (X,Y) au point (x1,y1).',
		end: 'Fin de l\'arc.\n\nIl y a deux options: il peut s\'agir d\'une expression réelle arbitraire, qui sera interprétée comme l\'angle final mesuré en degrés, ou il peut s\'agir d\'une expression de la forme (x2,y2) qui sera interprétée comme le point de coordonnées x2, y2. Dans ce cas, l\'arc se termine avec le segment qui relie le centre (X,Y) au point (x2,y2).',
		vectors: 'Lorsqu\'il est activé, cela détermine que le côté initial et final de l\'arc sont obtenus à partir de deux vecteurs qui partent du centre de l\'arc et non de deux points du plan.',
		trace: 'Lorsque l\'objet graphique est activé, il laisse une trace dans la scène avec la couleur sélectionnée.\n\nLe bouton appelle l\'éditeur de couleurs.\n\nLorsqu\'un graphique laisse une trace, vous pouvez voir sa trajectoire dans la scène. Appuyez sur le bouton "Effacer" pour effacer les traces des graphiques.\n\nLa valeur par défaut n\'est pas cochée.',
		useFamily: 'Lorsqu\'il est activé, cela permet de convertir un graphique en une famille entière de graphiques en fonction d\'un paramètre.\n\nLors de la sélection de la famille, les champs "paramètre", "intervalle" et "étapes" sont activés.\n\nLa valeur par défaut n\'est pas cochée.',
		family: 'Nom du paramètre utilisé dans la définition de l\'objet graphique pour définir la famille.\n\nLa valeur par défaut est "s".\n\nLe programme dessinera les graphes, avec les valeurs de "s", traversant l\'intervalle spécifié dans le nombre d\'étapes choisi.',
		family_interval: 'Intervalle sur lequel le paramètre de la famille prendra les valeurs lorsqu\'il traversera le nombre d\'étapes spécifié.\n\nCe sont deux expressions réelles entre crochets et séparées par une virgule.\n\nLa valeur par défaut est [0,1].',
		family_steps: 'Nombre de sous-intervalles égaux dans lesquels l\'intervalle de la famille est divisé et le paramètre de la famille passe par les extrémités des sous-intervalles.\n\nLa valeur par défaut est 8.',
		parameter: 'Identifiant du paramètre utilisé dans la courbe. Il est recommandé d\'utiliser un mot court. La valeur par défaut est "t".\n\nLe programme dessinera le polygone avec des sommets :\n\n(f(t), g(t)) pour "t" entre la première et la dernière des valeurs de l\'intervalle, avec des incréments égaux à la longueur de l\'intervalle entre le nombre d\'étapes.',
		parameter_interval: 'Intervalle sur lequel le paramètre de la courbe prendra les valeurs lorsqu\'il se déplacera dans le nombre d\'étapes spécifié.\n\nCe sont deux expressions réelles ti et tf entre crochets et séparées par une virgule, c\'est-à-dire [ti,tf].\n\nLa valeur par défaut est [0,1].',
		parameter_steps: 'Nombre de sous-intervalles égaux dans lesquels l\'intervalle de la courbe est divisé et le paramètre de la courbe passe par les extrémités des sous-intervalles.\n\nLa valeur par défaut est 8.',
		text: 'Libellé qui accompagne l\'objet graphique et est écrit près de sa position ou quelque chose qui peut être considéré comme sa position.\n\nLes textes sont dessinés dans la même couleur que l\'objet graphique.\n\nLes textes peuvent avoir plusieurs lignes et peuvent également inclure des valeurs numériques variables.\n\nLa valeur par défaut est vide.',
		decimals: 'Nombre de décimales avec lesquelles les nombres inclus dans le texte sont écrits.\n\nIl peut s\'agir d\'un nombre fixe ou d\'une expression. Lors de l\'évaluation, les nombres sont arrondis pour décider du nombre de décimales.\n\nLa valeur par défaut est 2.',
		fixed: 'Lorsqu\'il est coché, cela détermine si le nombre de décimales est fixe ou si, au contraire, la notation ajustée est utilisée, dans laquelle les zéros inutiles ou le point décimal inutile sont éliminés.\n\nPar exemple : au lieu de 25.3400, on écrit 25.34 et au lieu de 13.0, on écrit 13 (sans point décimal).\n\nSi la notation exponentielle est utilisée, les nombres sont toujours écrits sous forme ajustée, c\'est-à-dire que l\'attribut fixe n\'intervient pas dans ce cas.\n\nLa valeur par défaut n\'est pas cochée.',
		border: 'Couleur de la bordure dans le texte.',
		font: '*********',
		fill: 'Lorsqu\'il est coché, le programme remplit l\'intérieur de la courbe (considérée comme un polygone) avec la couleur sélectionnée. Si la courbe n\'a pas d\'intérieur bien défini, le résultat peut être quelque peu étrange.',
		fillP: 'Lorsqu\'il est coché :\n\nSi l\'équation est de la forme y=f(x), l\'espace entre l\'axe des x et le graphe (au-dessus de l\'axe des x) est rempli avec la couleur sélectionnée.\n\nSi l\'équation est de la forme x=g(y), l\'espace entre l\'axe des y et le graphe (à droite de l\'axe des y) est rempli avec la couleur sélectionnée.\n\nLa valeur par défaut n\'est pas cochée.',
		fillM: 'Lorsqu\'il est coché :\n\nSi l\'équation est de la forme y=f(x), l\'espace entre l\'axe des x et le graphe (en dessous de l\'axe des x) est rempli avec la couleur sélectionnée.\n\nSi l\'équation est de la forme x=g(y), l\'espace entre l\'axe des y et le graphe (à gauche de l\'axe des y) est rempli avec la couleur sélectionnée.\n\nLa valeur par défaut n\'est pas cochée.',
		size: '*********',
		size_POINT: 'Rayon de disque utilisé pour représenter le point.\n\nSi la valeur est 0, le point n\'est pas dessiné. Cela peut être utilisé pour dessiner des textes associés à des points invisibles, en utilisant les coordonnées de l\'espace.\n\nLa valeur par défaut est de 2.',
		size_SEQUENCE: 'Rayon de disque utilisé pour représenter les points de succession.\n\nSi la valeur est 0, les points ne sont pas dessinés.\n\nLa valeur par défaut est de 2.',
		size_SEGMENT: 'Rayon de disque utilisé pour représenter les extrémités de segment.\n\nSi la valeur est 0, les extrémités ne sont pas dessinées.\n\nLa valeur par défaut est de 2.',
		width: '*********',
		width_EQUATION: 'Largeur ou épaisseur du trait en pixels.\n\nLa valeur par défaut est de 1.\n\nIl est recommandé d\'utiliser des largeurs modérées différentes de 1, car elles ralentissent le dessin.',
		width_CURVE: 'Largeur ou épaisseur en pixels des segments de la courbe.\n\nLa valeur par défaut est de 1.',
		width_SEGMENT: 'Largeur ou épaisseur en pixels du segment.\n\nLa valeur par défaut est de 1.',
		width_POLYGON: 'Largeur ou épaisseur en pixels des segments du polygone.\n\nLa valeur par défaut est de 1.',
		width_ARC: 'Largeur ou épaisseur en pixels de l\'arc.\n\nLa valeur par défaut est de 1.',
		width_ARROW: 'Largeur ou épaisseur en pixels de la flèche.\n\nLa valeur par défaut est de 5.',
		width_TEXT: 'Dans un texte non enrichi, spécifiez la largeur maximale d\'une ligne de texte avant d\'ajouter des sauts de ligne.\n\nS\'il est utilisé dans un texte enrichi ou si la valeur est inférieure à 20, alors il est ignoré.\n\nLa valeur par défaut est de 1.',
		width_RECTANGLE: 'Largeur de la bordure.',
		spear: 'Largeur de la pointe de la flèche. Sa valeur par défaut est de 8.',
		arrow: 'Couleur de l\'intérieur de la flèche.\n\nLa valeur par défaut est #ee0022.',
		visible: 'Lorsqu\'il est coché, un champ de texte apparaîtra en bas de la scène où vous pourrez voir l\'expression de l\'équation dans la même couleur du graphique et avec la couleur de fond de la scène.\n\nLa valeur par défaut n\'est pas cochée.\n\nS\'il y a plusieurs équations ou courbes dans une scène, les champs de texte de chacune d\'entre elles qui sont visibles apparaîtront en dessous. S\'il y en a beaucoup, les champs peuvent être trop petits, il n\'est donc pas recommandé de rendre visibles les champs de texte de plus de trois ou quatre équations ou courbes.',
		editable: 'Lorsqu\'il est coché, le contenu du champ de texte qui apparaît sous la scène avec l\'équation (ou la courbe) peut être modifié par l\'utilisateur.\n\nCette option est utile lorsque vous souhaitez que l\'étudiant pratique l\'écriture de formules.',
		range: 'Expression de la forme [n1, n2] où n1 et n2 sont deux entiers qui sont interprétés comme le début et la fin de la plage d\'entiers que "n" va parcourir. Le programme dessine les points (X, Y) pour chaque valeur de "n" entre n1 et n2.',
		file: 'Nom du fichier image que vous souhaitez utiliser comme objet graphique. Seuls les fichiers png, jpg, gif et svg peuvent être utilisés. Les fichiers d\'images doivent être placés au même endroit où le fichier html de la scène est placé ou dans des sous-répertoires à partir de là. Les sous-répertoires doivent être inclus dans le nom de fichier.',
		inirot: 'Angle de rotation (dans le sens antihoraire) de l\'objet graphique.\n\nIl peut s\'agir d\'une expression ou d\'un nombre fixe.',
		inipos: 'Expression de type (X, Y), où X et Y sont des expressions réelles quelconques qui représentent l\'abscisse et l\'ordonnée du point initial de la macro par rapport à l\'origine des coordonnées spatiales.',
		name: 'Nom de la macro, qui est utilisé pour accéder à ses paramètres lors de calculs.\n\nLa syntaxe pour accéder aux paramètres est <nom_de_macro>.nom_de_paramètre.',
		opacity: 'Opacité de l\'image, c\'est-à-dire à quel point elle est opaque ou translucide.\n\nLa valeur acceptée est un nombre entre 0 et 1, où 0 est complètement transparent et 1 est complètement opaque.\n\nLa valeur par défaut est 1.',
		align: 'Alignement du texte par rapport à une boîte, dont la largeur est déterminée par la taille de la ligne de texte la plus longue et la hauteur est déterminée par la hauteur des lignes de texte.\n\nLe texte peut être aligné sur le bord gauche, centré ou sur le bord droit de la boîte.\n\nSi le texte ne comprend qu\'une seule ligne, les trois alignements dessinent le texte de la même manière.',
		anchor: 'Point d\'ancrage de la boîte de texte, dont la largeur est déterminée par la taille de la ligne de texte la plus longue et la hauteur est déterminée par la hauteur des lignes de texte.\n\nLa position du texte (donnée par le paramètre d\'expression) et le point d\'ancrage déterminent la construction de la boîte de texte et donc la position du texte dans l\'espace.',
		lineDash: 'Options qui déterminent le style de dessin du trait graphique, qui peut être un style "plein", "hachuré" ou "pointillé".',
		italics: 'Lorsque cochée, le texte est écrit en italique.',
		bold: 'Lorsque cochée, le texte est écrit en gras.',
		font_size: 'Taille de la police en pixels.',
		font_family: 'Police utilisée pour dessiner le texte.',
		border_radius: 'Définit le rayon des coins du rectangle.',
		info: 'Commentaires.',
		border_size: 'Taille de la bordure en pixels.\nSi la valeur est 0, alors la bordure est définie automatiquement.',
		shadowColor: 'Active l\'effet d\'ombre sur le texte. Il détermine également la couleur de l\'ombre.',
		shadowBlur: 'Détermine le flou de l\'ombre. La valeur doit être supérieure ou égale à zéro.',
		shadowOffsetX: 'Indique la distance horizontale de l\'ombre.',
		shadowOffsetY: 'Indique la distance verticale de l\'ombre.',
		clip: 'Expression de type (x, y, w, h) qui définit un rectangle dans l\'image à partir duquel les informations sur les pixels à dessiner sont obtenues.\n\nLes valeurs x et y définissent une position dans l\'image.\nLes valeurs w et h sont les dimensions du rectangle.\n\nToutes les valeurs sont définies en coordonnées de pixels.\n\nLa valeur par défaut est vide, ce qui indique que l\'image entière est utilisée pour le dessin.',
	},

	Graphics3D: {
		name: 'Nom de la macro, qui est utilisé pour accéder à ses paramètres lors des calculs.\n\nLa syntaxe pour accéder aux paramètres est <nom_macro>.nom_paramètre.',
		space: 'Liste d\'espaces tridimensionnels qui ont été définis.\n\nIl est utilisé pour assigner l\'espace auquel le graphique appartient.',
		type: 'Type de graphique.',
		background: 'Lorsqu\'il est coché, le graphique 3D est calculé une seule fois et est mis à jour uniquement lorsque l\'initialisation est pressée.\n\nLorsqu\'un graphique 3D ne dépend pas des contrôles ou des auxiliaires, il est préférable de le définir comme arrière-plan, car cela économise le travail du processeur qui n\'aura pas à être calculé à chaque fois qu\'il y a un changement dans la scène.',
		color: 'Couleur du graphique.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLa valeur par défaut est #eeffaa.',
		backcolor: 'Couleur de fond du graphique.\n\nLe bouton appelle l\'éditeur de couleur.\n\nLa valeur par défaut est #6090a0.',
		drawif: 'Expression booléenne qui détermine si le graphique est dessiné ou non.\n\nLe graphique est dessiné si l\'expression est vide ou si elle a une valeur vraie (ou supérieure à zéro).\n\nLa valeur par défaut est vide, ce qui indique qu\'il est toujours dessiné.',
		expression: '*********',
		expression_POINT: 'Expression de la forme :\n\n(X,Y,Z)\n\noù X, Y et Z sont des expressions numériques quelconques, représentant la position spatiale d\'un point en trois dimensions.\n\nLa valeur par défaut est (0,0).',
		expression_SEGMENT: 'Expression de la forme :\n\n(X1,Y1,Z1)(X2,Y2,Z2)\n\noù X1, Y1, Z1, X2, Y2, Z2 sont des expressions numériques, représentant la position spatiale des extrémités du segment en trois dimensions.\n\nLa valeur par défaut est (0,0,0)(1,1,1).',
		expression_POLYGON: 'Expression de la forme :\n\n(X1,Y1,Z1)(X2,Y2,Z2)...(Xn,Yn,Zn)\n\noù X1, Y1, Z1, X2, Y2, Z2, ..., Xn, Yn, Zn sont des expressions numériques, représentant plusieurs segments représentant un polygone (sans faces) en trois dimensions.\n\nLa valeur par défaut est (0,0,0)(1,0,0)(1,1,0)(1,1,1).',
		expression_CURVE: 'Expression de la forme :\n\nx=X(u)\ny=Y(u)\nz=Z(u)\n\noù X, Y et Z sont des expressions numériques dépendant du paramètre u.\n\nLa courbe est dessinée comme un polygone avec Nu côtés dont les Nu+1 sommets sont les points :\n\n(X(i/Nu),Y(i/Nu),Z(i/Nu)) pour i=0,...,Nu+1.\n\nAvant x, y, z, vous pouvez définir des variables intermédiaires qui ne sont utilisées que pour les calculs effectués lors du dessin de la courbe',
		expression_TRIANGLE: 'Coordonnées de trois points dans l\'espace, c\'est-à-dire une expression de la forme :\n\n(X1,Y1,Z1)(X2,Y2,Z2)(X3,Y3,Z3)\n\noù Xi, Yi, pour i=1,2,3 peuvent être des expressions numériques.',
		expression_FACE: 'Coordonnées d\'un polygone dans le plan, c\'est-à-dire une expression de la forme :\n\n(X1,Y1)(X2,Y2)...(Xn,Yn)\n\noù Xi, Yi, pour i=1,...,n sont des expressions numériques.',
		expression_SURFACE: 'Expression de forme :\n\nx = X(u,v)\ny = Y(u,v)\nz = Z(u,v)\n\noù X, Y et Z sont des expressions numériques dépendant des paramètres u et v.\n\nLa surface est constituée de la grille de quadrilatères formée par les points :\n\n(X(i/Nu,j/Nv),Y(i/Nu,j/Nv),Z(i/Nu,j/Nv))\n\npour i = 0,...,Nu+1 et j = 0,...,Nv+1.\n\nAvant x, y, z, vous pouvez définir des variables intermédiaires qui ne sont utilisées que pour les calculs effectués lors du dessin de la surface.',
		expression_TEXT: 'Expression de forme :\n\n[X,Y]\n\noù X et Y sont des expressions numériques qui déterminent la position du texte en pixels mesurée de gauche à droite et de haut en bas par rapport au coin supérieur gauche de l\'espace.',
		expression_MACRO: 'Nom de fichier contenant les données de la macro. Le fichier doit être dans le dossier où se trouve la page contenant la scène ou dans des sous-dossiers de la scène.',
		useFamily: 'Lorsqu\'elle est cochée, elle permet de convertir un graphique en une famille entière de graphiques en fonction d\'un paramètre.\n\nEn sélectionnant la famille, les champs "paramètre", "intervalle" et "pas" sont activés.\n\nLa valeur par défaut n\'est pas cochée.',
		family: 'Nom du paramètre utilisé dans la définition de l\'objet graphique pour définir la famille.\n\nLa valeur par défaut est "s".\n\nLe programme dessinera les graphes, avec les valeurs de "s", en parcourant l\'intervalle spécifié dans le nombre de pas choisi.',
		family_interval: 'Intervalle sur lequel le paramètre de la famille prendra les valeurs lorsqu\'il parcourt le nombre spécifié d\'étapes.\n\nCe sont deux expressions réelles entre parenthèses et séparées par une virgule.\n\nLa valeur par défaut est [0,1].',
		family_steps: 'Nombre de sous-intervalles égaux dans lesquels l\'intervalle de la famille est divisé et le paramètre de la famille passe par les extrémités des sous-intervalles.\n\nLa valeur par défaut est 8.',
		inirot: 'Vecteur de trois composantes (A,B,C) représentant une rotation initiale, dont les éléments sont des rotations (en degrés) autour de l\'axe des x, y et z, respectivement, qui seront appliquées à l\'objet graphique avant de dessiner.\n\nSi le mot "Euler" est ajouté avant la terna, c\'est-à-dire Euler(A, B, C), alors les angles A, B et C sont interprétés comme des rotations d\'Euler, c\'est-à-dire que A est une rotation autour de l\'axe z, B autour du nouvel axe x (qui est obtenu après la première rotation) et C autour du nouvel axe z (qui est obtenu après les deux premières rotations).\n\nNote : Elle est appliquée avant la translation initiale.',
		inipos: 'Vecteur de trois composantes (A,B,C) représentant une translation initiale, qui sera appliquée à l\'objet graphique avant de dessiner.\n\nNote : Elle est appliquée après la rotation initiale et avant la rotation finale.',
		endrot: 'Vecteur de trois composantes (A,B,C) représentant une rotation finale, dont les éléments sont des rotations (en degrés) autour de l\'axe des x, y et z, respectivement, qui seront appliquées à l\'objet graphique avant de dessiner.\n\nSi le mot "Euler" est ajouté avant la terna, c\'est-à-dire Euler(A, B, C), alors les angles A, B et C sont interprétés comme des rotations d\'Euler, c\'est-à-dire que A est une rotation autour de l\'axe z, B autour du nouvel axe x (qui est obtenu après la première rotation) et C autour du nouvel axe z (qui est obtenu après les deux premières rotations).\n\nNote : Elle est appliquée après la translation initiale et avant la translation finale.',
		endpos: 'Vecteur de trois composantes (A,B,C) représentant une translation finale, à appliquer à l\'objet graphique avant de dessiner.\n\nNote : Elle est appliquée après la rotation finale.',
		split: 'Lorsque cette option est cochée, elle indique si la surface doit être coupée par les graphiques de même espace qui la précèdent dans la liste en cas d\'intersection.\n\nIl est recommandé de toujours cocher cette option, sauf si vous utilisez de nombreux graphiques qui ne se croisent pas et que vous voulez accélérer l\'exécution.',
		edges: 'Lorsque cette option est cochée, elle détermine si les arêtes des faces qui forment l\'objet doivent être dessinées ou non. Les arêtes sont dessinées en gris.',
		text: 'Étiquette qui accompagne l\'objet graphique et qui est écrite près de sa position ou quelque chose qui peut être considéré comme sa position.\n\nLes textes sont dessinés dans la même couleur que l\'objet graphique.\n\nLes textes peuvent avoir plusieurs lignes et peuvent également inclure des valeurs numériques variables.\n\nLa valeur par défaut est vide.',
		font: '*********',
		decimals: 'Nombre de décimales avec lesquelles les nombres inclus dans le texte sont écrits.\n\nIl peut s\'agir d\'un nombre fixe ou d\'une expression. Lors de l\'évaluation, les nombres sont arrondis pour décider du nombre de décimales.\n\nLa valeur par défaut est 2.',
		fixed: 'Lorsqu\'elle est cochée, elle détermine si le nombre de décimales est fixe ou si, au contraire, la notation ajustée est utilisée, dans laquelle les zéros inutiles ou le point décimal inutile sont éliminés.\n\nPar exemple : au lieu de 25.3400, on écrit 25.34 et au lieu de 13.0, on écrit 13 (sans point décimal).\n\nSi une notation exponentielle est utilisée, les nombres sont toujours écrits sous forme ajustée, c\'est-à-dire que l\'attribut fixe n\'intervient pas dans ce cas.\n\nLa valeur par défaut n\'est pas cochée.',
		align: 'Alignement du texte par rapport à une boîte, dont la largeur est déterminée par la taille de la ligne de texte la plus longue et la hauteur est déterminée par la hauteur des lignes de texte.\n\nLe texte peut être aligné sur le bord gauche, centré ou sur le bord droit de la boîte.\n\nSi le texte est constitué d\'une seule ligne, les trois alignements dessinent le texte de la même manière.',
		anchor: 'Point d\'ancrage de la boîte de texte, dont la largeur est déterminée par la taille de la ligne de texte la plus longue et la hauteur est déterminée par la hauteur des lignes de texte.\n\nLa position du texte (donnée par le paramètre d\'expression) et le point d\'ancrage déterminent la construction de la boîte de texte et donc la position du texte dans l\'espace.',
		italics: 'Lorsque cette case est cochée, le texte est écrit en italique.',
		bold: 'Lorsque cette case est cochée, le texte est écrit en gras.',
		font_size: 'Taille de la police en pixels.',
		font_family: 'Police utilisée pour écrire le texte.',
		border: 'Couleur de la bordure dans le texte.',
		model: 'Options pour dessiner les faces de l\'objet graphique.\n\n"color": permet de le dessiner avec des couleurs unies.\n\n"light": rend la couleur plus ou moins brillante selon l\'orientation, pour donner une impression d\'illumination.\n\n"metal": c\'est comme "light", mais avec des contrastes plus marqués pour donner l\'impression que la surface est métallique.\n\n"wire": dessine uniquement les arêtes dans la couleur sélectionnée.\n\nRemarque : Avec le modèle wire, les arêtes sont dessinées dans la couleur sélectionnée et non en gris comme dans les autres modèles.',
		width: '*********',
		width_TEXT: 'Dans un texte non enrichi, spécifiez la largeur maximale d\'une ligne de texte avant d\'ajouter des sauts de ligne.\n\nS\'il est utilisé dans un texte enrichi ou si la valeur est inférieure à 20, alors il est ignoré.\n\nLa valeur par défaut est 1.',
		width_POINT: 'Taille de police en pixels.\n\nLa valeur par défaut est 1.',
		width_SEGMENT: 'Largeur ou épaisseur en pixels, du segment.\n\nLa valeur par défaut est 1.',
		width_POLYGON: 'Largeur ou épaisseur en pixels, des segments du polygone.\n\nLa valeur par défaut est 1.',
		width_CURVE: 'Largeur ou épaisseur en pixels, des segments de la courbe.\n\nLa valeur par défaut est 1.',
		width_POLIREG: 'La moitié du rayon du polygone régulier si la largeur est égale à la longueur. Si la largeur est différente de la longueur, le polygone n\'est pas régulier mais est une déformation d\'un polygone régulier.',
		width_CUBE: 'Taille de la diagonale du cube.\n\nLa valeur par défaut est 2.',
		width_BOX: 'Dimension le long de l\'axe des x.\n\nLa valeur par défaut est 2.',
		width_TETRAHEDRON: 'Taille du tétraèdre.\n\nLa valeur par défaut est 2.',
		width_OCTAHEDRON: 'Taille de l\'octaèdre.\n\nLa valeur par défaut est 2.',
		width_DODECAHEDRON: 'Taille du dodécaèdre.\n\nLa valeur par défaut est 2.',
		width_ICOSAHEDRON: 'Taille de l\'icosaèdre.\n\nLa valeur par défaut est 2.',
		width_SPHERE: 'Taille du diamètre de la sphère.\n\nLa valeur par défaut est 2.',
		width_ELLIPSOID: 'Dimension le long de l\'axe des x.\n\nLa valeur par défaut est 2.',
		width_CONE: 'Dimension le long de l\'axe des x.\n\nLa valeur par défaut est 2.',
		width_CYLINDER: 'Dimension le long de l\'axe des x.\n\nLa valeur par défaut est 2.',
		length: '*********',
		length_BOX: 'Dimension le long de l\'axe des y.\n\nLa valeur par défaut est 2.',
		length_POLIREG: 'La moitié du rayon du polygone régulier si la largeur est égale à la longueur. Si la largeur est différente de la longueur, le polygone n\'est pas régulier mais est une déformation d\'un polygone régulier.',
		length_ELLIPSOID: 'Dimension le long de l\'axe des y.\n\nLa valeur par défaut est 2.',
		length_CONE: 'Dimension le long de l\'axe des y.\n\nLa valeur par défaut est 2.',
		length_CYLINDER: 'Dimension le long de l\'axe des y.\n\nLa valeur par défaut est 2.',
		height: 'Dimension le long de l\'axe des z.\n\nLa valeur par défaut est 2.',
		Nu: 'Nombre d\'intervalles dans lesquels l\'intervalle unité [0, 1] est divisé pour le paramètre "u".',
		Nv: 'Nombre d\'intervalles dans lesquels l\'intervalle unité [0, 1] est divisé pour le paramètre "v".',
		offset_dist: 'Translation du texte par rapport à la position du point.',
		offset_angle: 'Angle de rotation du texte par rapport à la position du point.',
		info: 'Commentaires.',
		border_size: 'Taille de la bordure en pixels. Si la valeur est 0, la bordure est définie automatiquement.',
		shadowColor: 'Activez ou désactivez l\'effet d\'ombre sur le texte. Cela détermine également la couleur de l\'ombre.',
		shadowBlur: 'Détermine le flou de l\'ombre. La valeur doit être supérieure ou égale à zéro.',
		shadowOffsetX: 'Spécifie la distance horizontale de l\'ombre.',
		shadowOffsetY: 'Spécifie la distance verticale de l\'ombre.',
	},

	Animation: {
		useAnimation: 'Lorsque toutes les cases sont cochées dans le panneau d\'animation, l\'auteur peut les activer et écrire dedans ou choisir des options pour programmer l\'animation.',
		delay: 'Le temps en millisecondes que le programme attend à chaque étape de l\'animation.\n\nLa valeur par défaut est de 40.\n\nLes petites valeurs rendent l\'animation plus rapide et vice versa. Sur les processeurs lents, les petites valeurs ne produisent pas nécessairement des animations rapides.',
		auto: 'Quand c\'est coché, cela détermine si l\'animation démarre automatiquement lorsque la scène apparaît à l\'écran et à chaque fois que le bouton "init" est pressé.\n\nLorsque ce n\'est pas coché, l\'animation ne démarre que lorsque l\'utilisateur exécute une action qui déclenche l\'animation.',
		loop: 'Quand c\'est coché, cela détermine si l\'animation est répétée indéfiniment ou si elle s\'arrête lorsque la condition "while" n\'est plus vraie.',
		init: 'Affectations et appels de fonctions séparés par des points-virgules (;), de sorte que tout dans ce champ est exécuté au début du calcul.',
		doExpr: 'Affectations et appels de fonctions séparés par des sauts de ligne (\\n), de sorte que tout dans ce champ est exécuté de manière répétée tant que la condition du paramètre "while" est valide.',
		whileExpr: 'Expression booléenne qui détermine la condition de répétition des déclarations du paramètre "do".',
		info: 'Commentaires.',
	},

	Extra: {
		expand: 'Étend le contenu du champ de texte.',
		simple_text_editor: 'Éditeur de texte brut.',
		rich_text_editor: 'Éditeur de texte enrichi.',
	},

  }

  return tooltip;
})(tooltip || {});