/**
* @author Joel Espinosa Longi
* @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
*/

var tooltip = (function(tooltip) {

 /**
  * 
  */
 tooltip.ita = 
 {
	Panels: {
		Buttons: 'Seleziona le impostazioni generali della scena e le righe di controlli numerici.',
		Spaces: 'Seleziona il pannello di modifica degli Spazi.',
		Controls: 'Seleziona il pannello di modifica dei Controlli.',
		Definitions: 'Seleziona il pannello di modifica delle Definizioni.\n\nLe Definizioni sono i vettori, le matrici, le funzioni, le variabili e le librerie di una scena.',
		Programs: 'Seleziona il pannello di modifica dei Programmi.\n\nI Programmi sono gli algoritmi e gli eventi di una scena.',
		Graphics: 'Seleziona il pannello di modifica delle Grafiche 2D.',
		Graphics3D: 'Seleziona il pannello di modifica delle Grafiche 3D.',
		Animation: 'Seleziona il pannello di modifica delle Animazioni.',
	},

	Buttons: {
		width: 'La larghezza della scena in pixel.',
		height: 'L\'altezza della scena in pixel.',
		about: 'Per determinare se il pulsante "Informazioni" appare nella scena.\n\nIl pulsante "Informazioni" apre una finestra con le informazioni degli autori di Descartes.',
		config: 'Per determinare se il pulsante "Configurazione" appare nella scena.\n\nIl pulsante "Configurazione" apre una finestra con le impostazioni della scena.',
		init: 'Per determinare se il pulsante "Inizializza" appare nella scena.\n\nIl pulsante "Inizializza" riporta la scena al suo stato iniziale ripristinando i controlli, le definizioni e i programmi.\n\nSe l\'animazione automatica è abilitata, l\'animazione inizia di nuovo.',
		clear: 'Per determinare se il pulsante "Pulisci" appare nella scena.\n\nIl pulsante "Pulisci" cancella le tracce lasciate dai grafici che hanno l\'opzione "traccia" attivata.',
		rowsNorth: 'Numero di righe che occuperanno i controlli numerici posti nella regione nord.\n\nQuando il valore è zero ci sarà una riga se necessario, altrimenti non ci sarà nessuna.\n\nIl valore predefinito è zero.',
		rowsSouth: 'Numero di righe che occuperanno i controlli numerici posti nella regione sud.\n\nQuando il valore è zero ci sarà una riga se necessario, altrimenti non ci sarà nessuna.\n\nIl valore predefinito è zero.',
		widthWest: 'Larghezza in pixel dei controlli numerici nella regione ovest. Il valore predefinito è 150.\n\nSe il valore è 0, ma c\'è almeno un controllo numerico nella regione ovest, allora prende un valore predefinito di 125.',
		widthEast: 'Larghezza in pixel dei controlli numerici nella regione est. Il valore predefinito è 150.\n\nSe il valore è 0, ma c\'è almeno un controllo numerico nella regione est, allora prende un valore predefinito di 125.',
		heightRows: 'L\'altezza in pixel dei controlli numerici nelle regioni nord e sud. Il valore predefinito è 40.',
		decimal_symbol: 'Simbolo utilizzato per separare un numero intero dalle cifre decimali che lo seguono.\n\nAlcuni paesi usano il punto, altri usano la virgola.',
		language: 'Lingua in cui vengono salvate le impostazioni della scena.',
		editable: 'Determina se lo spazio esterno viene visualizzato cliccando il pulsante destro del mouse sulla scena.',
		expand: 'Opzioni per modificare le dimensioni della scena.\n\n"Cover": cambia solo la larghezza e l\'altezza delle scene che hanno un valore del 100%, in modo che abbiano le dimensioni del loro contenitore.\n\n"Scale": modifica la scala dei pixel della scena per coprire le dimensioni del suo contenitore, dando un effetto di zoom generale su tutta la scena.\n\nIl valore predefinito è vuoto, indicando nessuna modifica nelle dimensioni.',
		image_loader: 'Immagine da utilizzare come immagine di caricamento della scena.\n\nIl valore predefinito è vuoto, il che indica che verrà visualizzato il logo di Descartes.',
	},

	Definitions: {
		id: 'Identificatore della definizione.\n\nNel caso di una funzione, dovrebbe includere i parametri su cui dipende, scritti tra parentesi e separati da virgole. Ad esempio: f(x, y, z).',
		expression: 'Valore della costante, variabile o funzione.',
		evaluate: 'Opzioni che consentono di definire se la costante, l\'espressione vettoriale o l\'algoritmo devono essere valutati ogni volta che l\'utente modifica un controllo o solo una volta quando la scena viene avviata.\n\nÈ importante selezionare "solo una volta" quando è possibile per rendere la scena più veloce.',
		size: 'Numero di componenti del vettore.',
		rows: 'Numero di righe della matrice.',
		columns: 'Numero di colonne della matrice.',
		range: 'Espressione booleana che determina il dominio della funzione.\n\nTentare di valutare la funzione al di fuori del suo dominio creerà un\'eccezione.\n\nCiò comporterà, ad esempio, la non disegno del grafico della funzione nei punti al di fuori del dominio della funzione.\n\nIl suo valore predefinito è vuoto, che viene interpretato come un dominio illimitato.',
		algorithm: 'Quando selezionato, indica che la funzione, per essere valutata, deve utilizzare un algoritmo; ovvero, utilizza i calcoli indicati in "init", "do" e "while".\n\nIl valore predefinito non è attivato.',
		expression2: 'Assegnazioni ai valori del vettore, separati da punto e virgola (;) o interruzioni di riga (\\n).\n\nAd esempio, se l\'identificatore del vettore è v e ha dimensione 3, è possibile scrivere:\n\nv[0] = 1\nv[1] = 2.5\nv[2] = -3.1',
		local: 'Dichiarazione delle variabili che devono essere protette durante l\'esecuzione della funzione.\n\nPer proteggere le variabili, è necessario inserire gli identificatori separati da virgole (,) o punti e virgola (;).\n\nAd esempio: i,j;k.',
		init: 'Assegnazioni e chiamate alle funzioni separate da punto e virgola (;), in modo che tutto questo campo venga eseguito all\'inizio del calcolo.',
		doExpr: 'Assegnazioni e chiamate alle funzioni separate da interruzioni di riga (\\n), in modo che tutto questo campo venga eseguito ripetutamente mentre la condizione del parametro "while" è valida.',
		whileExpr: 'Espressione booleana che determina la condizione per ripetere le istruzioni del parametro "facer".',
		file: 'File di testo (con estensione .txt consigliata) in cui compaiono i valori degli elementi del vettore in ordine, separati da un\'interruzione di riga.\n\nI valori possono essere numerici o stringhe, in tal caso devono apparire tra virgolette singole, ad esempio \'valore\'.',
		doc: 'Documentazione della libreria.',
		code: 'Codice sorgente JavaScript.',
		info: 'Commenti.',
	},

	Spaces: {
		type: 'Determina il tipo di spazio che può essere utilizzato. Può essere uno spazio bidimensionale o tridimensionale o un HTMLIFrame.',
		id: 'Identificatore dello spazio.',
		cID: '*********',
		x: 'L\'ascissa dell\'angolo in alto a sinistra della finestra che visualizza lo spazio. È la distanza dal margine sinistro della scena.\n\nPuò essere specificato con un numero di pixel (ad esempio 20) o con un percentuale (ad esempio 10%) della larghezza totale della scena.',
		y: 'L\'ordinata dell\'angolo in alto a sinistra della finestra che visualizza lo spazio. È la distanza dal margine superiore della scena.\n\nPuò essere specificato con un numero di pixel (ad esempio 20) o con un percentuale (ad esempio 10%) dell\'altezza totale della scena.',
		width: 'La larghezza dello spazio.\n\nPuò essere specificato con un numero di pixel (ad esempio 240) o con una percentuale (ad esempio 50%) della larghezza totale della scena.',
		height: 'L\'altezza dello spazio.\n\nPuò essere specificato con un numero di pixel (ad esempio 180) o con una percentuale (ad esempio 50%) dell\'altezza totale della scena.',
		drawif: 'Espressione booleana utilizzata per determinare se lo spazio è visibile o meno.\n\nLo spazio è invisibile solo se il valore dell\'espressione è zero.\n\nSe lasciato vuoto, questo spazio sarà sempre visibile.',
		fixed: '*********',
		fixed_R2: 'Quando selezionato, impedisce all\'utente di modificare la scala o la posizione dell\'origine trascinando lo spazio con il mouse.',
		fixed_R3: 'Quando selezionato, impedisce all\'utente di modificare il punto di vista trascinando lo spazio con il mouse.',
		scale: 'Dimensione in pixel di un segmento unitario (o lunghezza 1).\n\nPer modificarlo, è necessario fare riferimento ad esso come <id>.scala dove <id> è l\'identificatore dello spazio.\n\nNota: è importante che questi identificatori non contengano spazi o simboli operativi.',
		"O.x": 'Distanza in pixel a destra del centro dello spazio, tra il centro dello spazio e il punto in cui verrà posizionata l\'origine delle coordinate.\n\nPer modificarlo, è necessario fare riferimento ad esso come <id>.Ox dove <id> è l\'identificatore dello spazio.\n\nNota: è importante che questi identificatori non contengano spazi o simboli operativi.',
		"O.y": 'Distanza in pixel verso il basso dal centro dello spazio, tra il centro dello spazio e il punto in cui verrà posizionata l\'origine delle coordinate.\n\nPer modificarlo, è necessario fare riferimento ad esso come <id>.Oy dove <id> è l\'identificatore dello spazio.\n\nNota: è importante che questi identificatori non contengano spazi o simboli operativi.',
		image: 'Immagine utilizzata come sfondo dello spazio.\n\nI file dell\'immagine devono essere posizionati nella stessa directory in cui si trova il file html della scena o in sotto-directory da essa, inoltre è necessario includere le sotto-directory nel nome del file.\n\nÈ possibile utilizzare file png, jpg, gif e svg.',
		bg_display: 'Opzioni per modificare il modo in cui l\'immagine di sfondo dello spazio verrà visualizzata.\n\n"a sinistra in alto": L\'angolo superiore sinistro dell\'immagine si allinea con l\'angolo superiore sinistro dello spazio.\n\n"stirata": l\'immagine viene ridimensionata per coprire lo spazio.\n\n"toppa": l\'immagine viene ripetuta tante volte quanto necessario per coprire lo spazio.\n\n"centro": l\'immagine viene disegnata centrata nello spazio.',
		background: 'Colore di sfondo dello spazio.\n\nIl pulsante chiama l\'editor di colore.\n\nIl valore predefinito è bianco (#ffffff).',
		axes: 'Colore degli assi coordinati.\n\nIl selettore permette di decidere se disegnare o meno gli assi.\n\nIl pulsante chiama l\'editor di colore.\n\nI valori predefiniti sono il selettore selezionato e il colore grigio scuro (#404040).',
		net: 'Colore della griglia di linee parallele agli assi coordinati usata come riferimento.\n\nIl selettore viene utilizzato per decidere se disegnare o meno la griglia.\n\nIl pulsante chiama l\'editor di colore.\n\nI valori predefiniti sono il selettore selezionato e il colore grigio chiaro (#c0c0c0).',
		net10: 'Colore di una griglia che viene disegnata ogni 10 unità della griglia precedente.\n\nIl selettore viene utilizzato per decidere se disegnare o meno la griglia red10.\n\nIl pulsante chiama l\'editor di colore.\n\nI valori predefiniti sono il selettore selezionato e il colore grigio (#808080).',
		text: 'Coordinate di colore mostrate con un clic sinistro nello spazio.\n\nIl selettore viene utilizzato per decidere se scrivere o meno le coordinate.\n\nIl pulsante chiama l\'editor di colore.\n\nI valori predefiniti sono il selettore non selezionato.',
		numbers: 'Determina se scrivere alcuni valori delle coordinate sugli assi. Quando visualizzati, le coordinate appaiono dello stesso colore degli assi.\n\nLe coordinate saranno visualizzate solo quando gli assi sono disegnati.\n\nIl valore predefinito non è selezionato.',
		x_axis: 'Etichetta che verrà disegnata a destra della scena, appena sotto l\'asse x.\n\nIl colore dell\'etichetta è lo stesso degli assi.\n\nSe il contenuto di questo campo è "no", l\'asse non viene disegnato.',
		y_axis: 'Etichetta che verrà disegnata in cima alla scena, appena a destra dell\'asse y.\n\nIl colore dell\'etichetta è lo stesso degli assi.\n\nSe il contenuto di questo campo è "no", l\'asse non viene disegnato.',
		render: 'Metodo utilizzato per visualizzare oggetti in tre dimensioni.\n\n"ordinare": disegna oggetti tridimensionali dall\'alto verso il basso. È il più veloce, ma presenta difetti quando gli oggetti sono composti da grandi facce.\n\n"pittore": è leggermente più lento, ma è molto più affidabile dell\'opzione "ordinare"',
		split: 'Quando selezionato, determina se tutti gli oggetti dello spazio si intersecano tra loro.\n\nIl valore predefinito non è selezionato.\n\nSe due superfici si intersecano ma non sono autorizzate a essere tagliate, la loro visualizzazione risulta "impossibile" e il disegno diventa incomprensibile.\n\nQuando gli oggetti dello spazio non si intersecano tra loro, non è necessario selezionare questa opzione.',
		sensitive_to_mouse_movements: 'Quando selezionato, determina se la scena rileverà i movimenti del mouse su questo spazio.\n\nIl valore predefinito non è selezionato.',
		file: 'Nome del file referenziato dallo spazio HTMLIFrame.',
		info: 'Commenti.',
		resizable: 'Permette di modificare larghezza e altezza dello spazio, consentendo la valutazione di variabili in questi parametri.\n\nNota: ciò modifica il comportamento originale, in cui gli spazi non possono essere più grandi dell\'area della scena.',
		border_color: 'Colore del bordo nello spazio.',
		border_width: 'Larghezza del bordo.',
		border_radius: 'Definisce il raggio degli angoli dello spazio.',
	},

	ListEditButtons: {
		add: 'Aggiunge un nuovo elemento alla lista.',
		clone: 'Aggiunge un nuovo elemento alla lista identico a quello selezionato.',
		delete: 'Elimina l\'elemento selezionato dalla lista.',
		list: 'Apre una finestra di testo per modificare manualmente tutti gli oggetti nella lista.',
		up_down: 'Cambia l\'ordine della lista scambiando l\'elemento selezionato con il suo vicino.\n\nSe premuto, ripete rapidamente l\'operazione.',
	},

	Controls: {
		id: 'Identificatore del controllo.\n\nSe il controllo è numerico, allora <id> è il nome della variabile numerica che lo rappresenta.\n\nSe è grafico, allora <id>.x e <id>.y sono le coordinate del controllo.',
		type: '*********',
		gui: 'Tipo di interfaccia grafica del controllo numerico. Le opzioni sono: "spinner", "campo di testo", "menu", "scrollbar" e "pulsante".',
		onlyText: 'Quando selezionata, fa sì che il campo di testo non interpreta i numeri o le variabili che vi sono scritte, accettando l\'input come stringhe di testo.',
		region: 'Regione della scena in cui il controllo numerico è assegnato.\n\n"nord": è una o più righe orizzontali nella parte superiore della scena, tra i pulsanti "about" e "config".\n\n"sud": è una o più righe orizzontali nella parte inferiore della scena, tra i pulsanti "init" e "clear".\n\n"ovest" e "est": sono colonne a sinistra e a destra della scena.\n\n"esterno" è una finestra che appare quando si fa clic destro sulla scena.\n\n"interno": quando un controllo numerico è associato alla regione interna, può essere posizionato in qualsiasi spazio della scena e la sua posizione è determinata dal parametro "espressione".\n\nIl valore predefinito è "sud".',
		space: 'Elenco degli identificatori di tutti gli spazi definiti nella scena.\n\nQuesto parametro ha senso solo nei controlli assegnati alla regione interna e nei controlli grafici.',
		color_CTRGRAPHIC: 'Colore della circonferenza del disco che rappresenta un controllo grafico.\n\nIl colore predefinito del bordo è #222222.',
		colorInt_CTRGRAPHIC: 'Colore del cerchio o dell\'interno della circonferenza del disco che rappresenta un controllo grafico.\n\nIl colore predefinito dell\'interno è #f0f8ff.',
		image_CTRGRAPHIC: 'Nome del file di un\'immagine che verrà utilizzata al posto del cerchio che Descartes usa per visualizzare questo controllo grafico.',
		size: 'Raggio del controllo grafico in pixel.\n\nPuò essere qualsiasi numero o espressione positiva.\n\nIl valore predefinito è 4.',
		name: 'Nome esterno del controllo che appare come etichetta a sinistra del controllo numerico e non ha altre funzioni all\'interno del programma.\n\nIl valore predefinito è uguale all\'identificatore del controllo.',
		expression: 'Angolo in alto a sinistra di un controllo numerico interno.\n\nViene espresso con due numeri tra parentesi separate da una virgola. I numeri possono essere costanti o espressioni che coinvolgono costanti o parametri definiti in controlli precedenti.\n\nNel caso di un controllo numerico interno, può essere utilizzata un\'espressione di quattro valori (x,y,w,h) dove i primi due sono le coordinate dell\'angolo in alto a sinistra del controllo e gli ultimi due sono la larghezza e l\'altezza.\n\nIl valore predefinito è (0,0,150,40).',
		expression_CTRGRAPHIC: 'Punto di partenza di un controllo grafico.\n\nViene espresso con due numeri tra parentesi separate da una virgola. I numeri possono essere costanti o espressioni che coinvolgono costanti o parametri definiti in controlli precedenti.\n\nIl valore predefinito è (0,0).',
		value: 'Valore iniziale della variabile <id>.\n\nPuò essere un\'espressione decimale o una formula in cui sono presenti costanti o parametri definiti in controlli precedenti.\n\nIl valore predefinito è 0.\n\nNel caso dei pulsanti, questo è il valore che viene assegnato alla variabile quando il pulsante viene premuto.',
		constraint: 'Equazione in x o y che le coordinate del controllo grafico devono soddisfare. Questo limita il controllo a muoversi sul grafico della sua restrizione.\n\nPuò essere qualsiasi espressione o vuota. Se è vuota, il controllo non è limitato.\n\nIl valore predefinito è vuoto.',
		text: 'Etichetta associata al controllo.\n\nPuò essere qualsiasi testo e può includere anche valori numerici di variabili.\n\nIl valore predefinito è vuoto.',
		text_CTRTEXT: 'Contenuto iniziale dell\'area di testo.\n\nIl valore predefinito è vuoto.',
		incr: 'Quantità che aumenta o diminuisce il valore della variabile <id> quando vengono premute le frecce del controllo numerico.\n\nPuò essere una costante o un\'espressione.\n\nIl valore predefinito è 0.1.',
		min: 'Valore minimo che il controllo può avere.\n\nPuò essere una costante, un\'espressione o vuoto, nel qual caso non c\'è alcun valore minimo e il controllo non ha un limite inferiore.\n\nIl valore predefinito è vuoto.',
		max: 'Valore massimo che il controllo può avere.\n\nPuò essere una costante, un\'espressione o vuoto, nel qual caso non c\'è alcun valore massimo e il controllo non ha un limite superiore.\n\nIl valore predefinito è vuoto.',
		discrete: 'Forza i valori del controllo numerico a differire dal valore iniziale solo in multipli esatti dell\'incremento.\n\nQuesto funziona correttamente solo se l\'incremento è costante e può essere espresso esattamente con il numero di decimali scelti.\n\nIl valore predefinito non è controllato.',
		decimals: 'Numero di decimali con cui i valori di <id> verranno scritti.\n\nPuò essere qualsiasi numero o espressione.\n\nL\'espressione viene valutata e arrotondata all\'intero più vicino per specificare il numero di decimali, ad esempio 3,5 viene arrotondato a 4.\n\nIl valore predefinito è 2.',
		fixed: 'Quando selezionato, scrive i numeri con il numero specificato di decimali.\n\nSe non selezionato, viene utilizzata la notazione adattata. In questo caso, gli zeri non necessari e il punto decimale non necessario vengono eliminati. Ad esempio, anziché 25,3400, viene scritto 25,34 e anziché 13,0, viene scritto 13 (senza punto decimale).\n\nSe viene utilizzata la notazione esponenziale, i numeri vengono sempre scritti in notazione adattata, ovvero l\'attributo fisso viene ignorato.\n\nIl valore predefinito è selezionato.',
		exponentialif: 'Espressione booleana che, se soddisfatta, causa la scrittura del valore del parametro in notazione esponenziale. Se l\'espressione è vuota, la notazione esponenziale non viene mai utilizzata. È importante notare che questo non forza la notazione esponenziale, ma solo la permette. Se l\'espressione non è soddisfatta, non ci sarà notazione esponenziale.\n\nIl valore predefinito è vuoto.',
		visible: 'Indica se il valore del parametro deve essere visualizzato (il nome e i pulsanti del selettore sono sempre visibili).\n\nIl valore predefinito è selezionato, ovvero il valore del parametro viene visualizzato.',
		trace: 'Indica che quando il controllo grafico viene spostato, deve lasciare una traccia del suo percorso. La traccia del controllo è solo il bordo.\n\nIl valore predefinito non è selezionato.',
		color: 'Colore del testo sull\'etichetta del pulsante.',
		colorInt: 'Colore di sfondo sull\'etichetta del pulsante.',
		bold: 'Quando selezionato, il testo sull\'etichetta del pulsante viene scritto in grassetto.',
		italics: 'Quando selezionato, il testo sull\'etichetta del pulsante viene scritto in corsivo.',
		underlined: 'Quando selezionato, il testo sull\'etichetta del pulsante viene sottolineato.',
		font_family: 'Carattere utilizzato per scrivere il testo.',
		font_size: 'Dimensione del carattere in punti con cui viene scritta l\'etichetta del pulsante.',
		image: 'Nome del file di un\'immagine da utilizzare come sfondo del pulsante.\n\nSe la cartella che contiene il file dell\'immagine ha un altro file con lo stesso nome del file dell\'immagine ma seguito da "_over" che ha la stessa estensione, allora l\'immagine in questo file apparirà quando il mouse si trova sopra il pulsante.\n\nSe la cartella che contiene il file dell\'immagine ha un altro file con lo stesso nome del file dell\'immagine ma seguito da "_down", che ha la stessa estensione, allora l\'immagine di questo file apparirà quando si fa clic con il mouse sul pulsante.',
		options: 'Elenco di opzioni che il "menu" visualizza.\n\nLe opzioni devono essere testi separati da virgole. Dopo ogni parola, tra parentesi quadre [], può essere inserito il valore che deve essere assegnato al parametro quando questa opzione viene selezionata. Se il valore non è definito, verrà assegnato automaticamente un valore intero corrispondente all\'indice dell\'opzione.',
		action: 'L\'azione che viene eseguita quando l\'utente manipola il controllo (premere il pulsante, selezionare un elemento da un menu, spostare la barra di scorrimento, fare clic su un pulsante o dare <invio> nel campo di testo).\n\nSono possibili le seguenti azioni: "calcola", "inizializza", "pulisci", "animazione", "apri URL", "apri scena" e "riproduci".',
		parameter: 'Il parametro dell\'azione.\n\nSe l\'azione è "calcola", deve contenere zero o più assegnazioni separate da un punto e virgola (;) o una nuova riga (\\n), che il programma eseguirà quando l\'azione verrà eseguita.\n\nSe l\'azione è "apri URL", il parametro deve essere un URL.\n\nSe l\'azione è "apri Scena" il parametro deve essere un indirizzo relativo e apre la scena Descartes che si trova in un file di testo con quell\'indirizzo.\n\nLe altre azioni non utilizzano il parametro.',
		drawif: 'Espressione booleana che determina quando il controllo è visibile.\n\nIl valore predefinito è vuoto e in questo caso il controllo è sempre visibile.',
		activeif: 'Espressione booleana che determina quando il controllo è attivo.\n\nIl valore predefinito è vuoto e in questo caso è possibile interagire con il controllo.',
		evaluate: 'Quando selezionato, forza il controllo a eseguire una valutazione.\n\nSi applica solo ai controlli che pongono domande e in cui una risposta deve essere valutata confrontando la risposta dell\'utente con la risposta della lezione.\n\nDi default non è selezionato. In questo caso, i campi di testo "risposta" e "peso" sono inattivi.',
		answer: 'Questo campo è inattivo mentre il selettore "valuta" è disattivato.\n\nLa risposta prevista, programmata dall\'autore della lezione. Questa è la risposta con cui la risposta dell\'utente viene confrontata per determinare se è corretta.\n\nSi applica solo ai controlli che pongono domande e in cui una risposta deve essere valutata confrontando la risposta dell\'utente con la risposta della lezione.\n\nPuò consistere in uno o più testi separati da |, ognuno dei quali viene confrontato con la risposta dell\'utente.\n\nSe c\'è una corrispondenza, la risposta è considerata corretta, altrimenti è considerata errata.\n\nQuando la risposta prevista è numerica, l\'autore della lezione deve stabilire un intervallo valido, ad esempio, [a,b], (a,b), (a,b] o [a,a].\n\nQuando il controllo è del tipo "solo testo", la valutazione della risposta viene effettuata confrontando lettera per lettera.\n\nSe una risposta termina con *, la risposta dell\'utente viene confrontata solo con l\'inizio della risposta.\n\nSe una risposta inizia con *, la risposta dell\'utente deve terminare con la risposta.\n\nSe una risposta inizia e finisce con *, ad esempio, risposta, la risposta dell\'utente deve contenere ""risposta"".\n\nSe la risposta prevista può essere in minuscolo o maiuscolo, l\'opzione di risposta deve essere scritta tra virgolette singole, ad esempio, \'risposta\'.\n\nSe gli accenti o la n o ñ non sono distinguibili, l\'opzione di risposta deve essere scritta tra accenti sinistri e destri, ad esempio, `risposta´.\n\nIn modo simile, `\'risposta\'´ permetterebbe di ignorare maiuscole e minuscole, accenti e n o ñ.\n\nPer ignorare una lettera, al posto della lettera si deve utilizzare il simbolo ?',
		weight: 'Peso (nel contesto di una media pesata) dato alla risposta nella valutazione quando si calcola il voto.\n\nSono supportati solo valori interi positivi ed è consigliabile utilizzare 0, 1 o 2.',
		tooltip: 'Testo che appare quando il mouse si ferma più di un secondo e mezzo sull\'etichetta di un controllo numerico o all\'interno del cerchio di un controllo grafico.\n\nIl valore predefinito è vuoto.',
		explication: 'Testo che appare quando l\'utente fa clic destro sull\'etichetta di un controllo numerico o all\'interno del cerchio di un controllo grafico.\n\nIl valore predefinito è il valore di "tooltip".',
		cID: 'Identificatore per i controlli che si trovano sulla scena.\n\nÈ utile solo in scene di Arquimede o Discurso.\n\nIl valore dell\'identificatore viene calcolato dal programma in base al momento preciso in cui è stato creato, in modo che tutti gli identificatori creati nello stesso computer siano diversi.\n\nNon è consigliabile manipolare questo identificatore.',
		file: 'Nome del file multimediale (audio o video).',
		info: 'Commenti.',
		borderColor: 'Colore del bordo del testo del pulsante.\n\nQuando attivato, il testo del pulsante viene disegnato con un bordo del colore selezionato.\n\nIl valore predefinito è disattivato.',
		flat: 'Quando attivato, il pulsante viene disegnato senza sfumatura (stile piatto).\n\nIl valore predefinito è disattivato, ovvero il pulsante viene disegnato con sfumatura (stile Descartes tradizionale).',
		text_align: 'Opzioni per scegliere l\'allineamento dell\'etichetta del pulsante, in relazione alla regione rettangolare che occupa il controllo.',
		image_align: 'Opzioni per scegliere l\'allineamento dell\'immagine del pulsante, in relazione alla regione rettangolare che occupa il controllo.',
		btn_pos: 'Opzioni per scegliere la posizione dei pulsanti del selettore.\n\nI pulsanti possono essere posizionati verticalmente o orizzontalmente, a sinistra o a destra del campo di testo del selettore.',
		image_dec: 'Nome del file dell\'immagine da utilizzare come sfondo del pulsante di decremento del selettore.',
		image_inc: 'Nome del file dell\'immagine da utilizzare come sfondo del pulsante di incremento del selettore.',
		extra_style: 'Stile extra per i pulsanti.',
		radio_group: 'Se vuoto, il controllo è una casella di controllo.\n\nSe ha un nome, il controllo è un pulsante radio con il nome di condivisione specificato. Quando si tratta di un pulsante radio, solo uno dei controlli con lo stesso gruppo è selezionato.',
		label_color: 'Colore di sfondo dell\'etichetta.',
		label_text_color: 'Colore del testo dell\'etichetta.',
		position: 'Posizione del controllo.',
		keyboard: 'Quando attivato, mostra una tastiera virtuale per modificare il valore del campo di testo.\n\nIl valore predefinito non è selezionato.',
		kblayout: 'Layout dei tasti da utilizzare sulla tastiera virtuale.',
		kbexp: 'Posizione dell\'angolo in alto a sinistra della tastiera virtuale.',
		color_CTRSCROLL: 'Colore di sfondo della barra di scorrimento.',
		colorInt_CTRSCROLL: 'Colore dell\'impugnatura della barra di scorrimento e delle frecce.',
	},

	Programs: {
		id: 'Identificatore del programma.',
		evaluate: 'Opzioni che ti consentono di definire se la costante, l\'espressione vettoriale o l\'algoritmo devono essere valutati ogni volta che l\'utente modifica un controllo o solo una volta quando la scena viene avviata.\n\nÈ importante selezionare "solo una volta" quando è fattibile per far funzionare la scena più velocemente.',
		init: 'Assegnazioni e chiamate a funzioni separate da punti e virgola (;), in modo che tutto questo campo venga eseguito all\'inizio del calcolo.',
		doExpr: 'Assegnazioni e chiamate a funzioni separate da interruzioni di riga (\\n), in modo che tutto questo campo venga eseguito ripetutamente mentre la condizione del parametro "mentre" è valida.',
		whileExpr: 'Espressione booleana che determina la condizione per ripetere le istruzioni del parametro "fare".',
		condition: 'Espressione booleana che, quando soddisfatta, esegue l\'azione.\n\nLa ripetizione dell\'azione è condizionata dal parametro "esecuzione".',
		action: 'Azione che viene eseguita durante l\'interazione con la scena e il soddisfacimento della condizione booleana del parametro "condizione".\n\nCi sono le seguenti azioni: "calcola", "apri URL", "apri scena", "inizializza", "pulisci", "animazione", "inizializza animazione" e "riproduci".',
		parameter: 'Parametro utilizzato per l\'azione.\n\nSe l\'azione è "calcola", deve contenere zero o diverse assegnazioni che il programma eseguirà quando l\'azione viene eseguita.\n\nSe l\'azione è "apri URL", deve essere qualsiasi URL.\n\nSe l\'azione è "apri scena", deve essere un indirizzo assoluto o relativo alla scena di Descartes che si aprirà.\n\nLe altre azioni non utilizzano il parametro.',
		execution: 'Definisce la modalità di esecuzione dell\'azione dell\'evento.\n\n"solo una volta": l\'azione viene eseguita solo la prima volta in cui la condizione viene soddisfatta.\n\n"alternato": l\'azione viene eseguita la prima volta in cui la condizione viene soddisfatta, ma se la condizione non è più valida e poi diventa valida in seguito, l\'azione viene eseguita di nuovo.\n\n"sempre": l\'azione viene eseguita ogni volta che la condizione viene soddisfatta.\n\nIl valore predefinito è "solo una volta".',
		info: 'Commenti.',
	},

	Graphics: {
		space: 'Elenco degli spazi bidimensionali che sono stati definiti.\n\nViene utilizzato per assegnare lo spazio a cui appartiene il grafico.',
		type: 'Tipo di grafico.',
		background: 'Quando selezionato, indica che il grafico viene disegnato solo sullo sfondo della scena e viene quindi aggiornato solo quando viene premuto "init" e quando viene modificata la scala o la posizione dell\'origine (O.x e O.y).\n\nQuando un grafico è sempre fisso nella scena, cioè non dipende dai controlli, dalle definizioni o dai programmi, è consigliabile attivare questa opzione, risparmiando così il lavoro di disegnare il grafico ogni volta che c\'è una modifica nella scena.',
		color: 'Colore del grafico.\n\nIl pulsante chiama l\'editor di colore.\n\nIl valore predefinito è #20303a.',
		color_ARROW: 'Colore del bordo della freccia, il suo interno viene disegnato nel colore del parametro "freccia".\n\nIl valore predefinito è #20303a.',
		drawif: 'Espressione booleana che determina se il grafico viene disegnato o meno.\n\nIl grafico viene disegnato se l\'espressione è vuota o se ha un valore vero (o maggiore di zero).\n\nIl valore predefinito è vuoto, il che indica che viene sempre disegnato.',
		drawif_EQUATION: 'Espressione booleana che determina se il grafico deve essere disegnato o meno.\n\nIl grafico viene disegnato se l\'espressione è vuota o se ha un valore vero (o maggiore di zero).\n\nSe l\'espressione dipende da x o y, e il grafico è un\'equazione, allora vengono disegnati solo i punti sul grafico che soddisfano l\'espressione.\n\nSe il valore di x o y non consente di soddisfare l\'espressione al momento in cui si deve disegnare un oggetto, allora non viene disegnato (è responsabilità dell\'autore controllare il valore di x e y al di fuori delle equazioni).\n\nIl valore predefinito è vuoto, il che indica che viene sempre disegnato.',
		abs_coord: 'Quando selezionato, il grafico viene interpretato in pixel e in coordinate assolute, con l\'origine nell\'angolo in alto a sinistra dell\'area dello spazio a cui il grafico appartiene e la scala uguale a 1 pixel per unità.\n\nI grafici definiti in coordinate assolute non si spostano quando l\'origine o la scala del sistema vengono cambiate.',
		expression_EQUATION: 'Deve essere un\'equazione in x, y. L\'oggetto grafico associato a un\'equazione è il luogo dei punti che la soddisfano.\n\nIl valore predefinito è y = x.',
		expression_CURVE: 'Espressione della forma (f(t),g(t)), dove f e g sono qualsiasi funzioni del parametro t (o che è definito nel campo "parametro").\n\nIl valore predefinito è (t,t).',
		expression_SEQUENCE: 'Espressione del tipo (X,Y), dove X e Y sono espressioni reali dipendenti da n, che rappresentano l\'ascissa e l\'ordinata dei punti della sequenza.\n\nIl valore predefinito è (n,1/n).',
		expression_POINT: 'Espressione del tipo (X,Y), dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata del punto.\n\nIl valore predefinito è (0,0).',
		expression_SEGMENT: 'Espressione del tipo (X1,Y1)(X2,Y2), dove (X1,Y1) sono le coordinate dell\'inizio del segmento e (X2,Y2) sono le coordinate della fine del segmento.\n\nIl valore predefinito è (0,0)(1,1), ovvero il segmento tra l\'origine e il punto (1,1).',
		expression_ARROW: 'Espressione del tipo (X1,Y1)(X2,Y2), dove (X1,Y1) sono le coordinate dell\'inizio della freccia e (X2,Y2) della punta.\n\nIl valore predefinito è (0,0) (1,1), ovvero la freccia che va dall\'origine al punto (1,1).',
		expression_POLYGON: 'Espressione del tipo\n\n(X1,y1)(x2,y2)...(xN,yN),\n\ndove xn e yn sono espressioni reali arbitrarie.\n\nIl grafico è il poligono con i vertici nei punti (xn, yn).\n\nIl valore predefinito è (0,0)(1,1)(2,-1).',
		expression_FILL: 'Espressione del tipo (X,Y), dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata del punto in cui la regione chiusa con il punto (X,Y) all\'interno viene riempita.\n\nIl valore predefinito è (0,0).',
		expression_TEXT: 'Espressione del tipo [X,Y], dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata dell\'inizio del testo, ma misurati in pixel dall\'angolo in alto a sinistra della scena.\n\nIl valore predefinito è [20,20].',
		expression_IMAGE: 'Espressione del tipo (X,Y), dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata dell\'angolo in alto a sinistra dell\'immagine rispetto all\'origine delle coordinate spaziali.\n\nIl valore predefinito è (0,0).',
		expression_RECTANGLE: 'Espressione del tipo (X,Y,W,H), dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata dell\'angolo in alto a sinistra del rettangolo in coordinate assolute, o dell\'angolo in basso a sinistra del rettangolo in coordinate relative. W è la larghezza e H è l\'altezza del rettangolo.\n\nIl valore predefinito è (0,0,2,1).',
		expression_MACRO: 'Nome del file contenente i dati della macro. Il file deve trovarsi nella cartella in cui si trova la pagina che contiene la scena o in sotto-cartelle della scena.',
		expression: '*********',
		center: 'Espressione del tipo (X, Y) che rappresenta il centro dell\'arco, dove X e Y possono essere qualsiasi espressione reale.\n\nIl valore predefinito è (0,0).',
		radius: 'Espressione reale arbitraria che rappresenta il raggio dell\'arco.',
		init: 'Inizio dell\'arco.\n\nCi sono due opzioni: può essere un\'espressione reale arbitraria, che verrà interpretata come l\'angolo iniziale misurato in gradi, oppure può essere un\'espressione della forma (x1, y1) che verrà interpretata come il punto di coordinate x1, y1. In questo caso, l\'arco inizia con il segmento che unisce il centro (X,Y) al punto (x1, y1).',
		end: 'Fine dell\'arco.\n\nCi sono due opzioni: può essere un\'espressione reale arbitraria, che verrà interpretata come l\'angolo finale misurato in gradi, oppure può essere un\'espressione della forma (x2, y2) che verrà interpretata come il punto di coordinate x2, y2. In questo caso, l\'arco finisce con il segmento che unisce il centro (X,Y) al punto (x2, y2).',
		vectors: 'Quando selezionato, determina che il lato iniziale e finale dell\'arco sono ottenuti da due vettori che partono dal centro dell\'arco e non da due punti del piano.',
		trace: 'Quando selezionato, l\'oggetto grafico lascia una traccia nella scena con il colore selezionato.\n\nIl pulsante chiama l\'editor di colori.\n\nQuando un grafico lascia una traccia, è possibile visualizzare la sua traiettoria nella scena. Premere il pulsante "cancella" per cancellare le tracce dei grafici.\n\nIl valore predefinito non è selezionato.',
		useFamily: 'Quando selezionato, consente di convertire un grafico in un\'intera famiglia di grafici in base a un parametro.\n\nQuando si seleziona la famiglia, i campi "parametro", "intervallo" e "passi" vengono attivati.\n\nIl valore predefinito non è selezionato.',
		family: 'Nome del parametro che viene utilizzato nella definizione dell\'oggetto grafico per definire la famiglia.\n\nIl valore predefinito è "s".\n\nIl programma disegnerà i grafici, con i valori di "s", attraversando l\'intervallo specificato nel numero di passi scelti.',
		family_interval: 'Intervallo in cui il parametro della famiglia assumerà i valori quando attraversa il numero specificato di passaggi.\n\nSono due espressioni reali tra parentesi quadre e separate da una virgola.\n\nIl valore predefinito è [0,1].',
		family_steps: 'Numero di sotto-intervalli uguali in cui l\'intervallo della famiglia è diviso e il parametro della famiglia attraversa le estremità dei sotto-intervalli.\n\nIl valore predefinito è 8.',
		parameter: 'Identificatore del parametro utilizzato nella curva. Si consiglia di utilizzare una parola breve. Il valore predefinito è "t".\n\nIl programma disegnerà il poligono con vertici:\n\n(f(t),g(t)) per "t" compreso tra il primo e l\'ultimo valore dell\'intervallo, con incrementi uguali alla lunghezza dell\'intervallo tra il numero di passaggi.',
		parameter_interval: 'Intervallo in cui il parametro della curva otterrà i valori mentre viaggia nel numero specificato di passaggi.\n\nSono due espressioni reali ti e tf tra parentesi quadre e separate da una virgola, ovvero [ti,tf].\n\nIl valore predefinito è [0,1].',
		parameter_steps: 'Numero di sotto-intervalli uguali in cui l\'intervallo della curva è diviso e il parametro della curva passa attraverso le estremità dei sotto-intervalli.\n\nIl valore predefinito è 8.',
		text: 'Etichetta che accompagna l\'oggetto grafico e viene scritta vicino alla sua posizione o qualcosa che può essere considerato come la sua posizione.\n\nI testi sono disegnati dello stesso colore dell\'oggetto grafico.\n\nI testi possono avere più righe e possono anche includere valori numerici variabili.\n\nIl valore predefinito è vuoto.',
		decimals: 'Numero di decimali con cui i numeri inclusi nel testo vengono scritti.\n\nPuò essere un numero fisso o un\'espressione. Quando si valutano i numeri, vengono arrotondati per decidere il numero di cifre decimali.\n\nIl valore predefinito è 2.',
		fixed: 'Quando selezionato, determina se il numero di cifre decimali è fisso o se, al contrario, viene utilizzata la notazione adattata, in cui vengono eliminati gli zeri superflui o il punto decimale superfluo.\n\nAd esempio: invece di 25,3400, viene scritto 25,34 e invece di 13,0, viene scritto 13 (senza il punto decimale).\n\nSe viene utilizzata la notazione esponenziale, i numeri sono sempre scritti in forma adattata, ovvero l\'attributo fisso non interviene in quel caso.\n\nIl valore predefinito non è selezionato.',
		border: 'Colore del bordo nel testo.',
		font: '*********',
		fill: 'Quando selezionata, il programma riempie l\'interno della curva (considerata come un poligono) con il colore selezionato. Se la curva non ha un interno ben definito, il risultato potrebbe essere un po\' strano.',
		fillP: 'Quando selezionata:\n\nSe l\'equazione è della forma y=f(x) lo spazio tra l\'asse x e il grafico (sopra l\'asse x) è riempito con il colore selezionato.\n\nSe l\'equazione è della forma x=g(y) lo spazio tra l\'asse y e il grafico (a destra dell\'asse y) è riempito con il colore selezionato.\n\nIl valore predefinito non è selezionato.',
		fillM: 'Quando selezionata:\n\nSe l\'equazione è della forma y=f(x) lo spazio tra l\'asse x e il grafico (sotto l\'asse x) è riempito con il colore selezionato.\n\nSe l\'equazione è della forma x=g(y) lo spazio tra l\'asse y e il grafico (a sinistra dell\'asse y) è riempito con il colore selezionato.\n\nIl valore predefinito non è selezionato.',
		size: '*********',
		size_POINT: 'Raggio del disco utilizzato per rappresentare il punto.\n\nSe il valore è 0 il punto non viene disegnato. Questo può essere utilizzato per disegnare testi associati a punti invisibili, utilizzando le coordinate dello spazio.\n\nIl valore predefinito è 2.',
		size_SEQUENCE: 'Raggio del disco utilizzato per rappresentare i punti di successione.\n\nSe il valore è 0 i punti non vengono disegnati.\n\nIl valore predefinito è 2.',
		size_SEGMENT: 'Raggio del disco utilizzato per rappresentare le estremità del segmento.\n\nSe il valore è 0 le estremità non vengono disegnate.\n\nIl valore predefinito è 2.',
		width: '*********',
		width_EQUATION: 'Larghezza o spessore del tratto in pixel.\n\nIl valore predefinito è 1.\n\nSi consiglia di utilizzare larghezze moderate diverse da 1, perché rallentano il disegno.',
		width_CURVE: 'Larghezza o spessore in pixel, dei segmenti della curva.\n\nIl valore predefinito è 1.',
		width_SEGMENT: 'Larghezza o spessore in pixel, del segmento.\n\nIl valore predefinito è 1.',
		width_POLYGON: 'Larghezza o spessore in pixel, dei segmenti del poligono.\n\nIl valore predefinito è 1.',
		width_ARC: 'Larghezza o spessore in pixel, dell\'arco.\n\nIl valore predefinito è 1.',
		width_ARROW: 'Larghezza o spessore in pixel, della freccia.\n\nIl valore predefinito è 5.',
		width_TEXT: 'In un testo non arricchito, specificare la larghezza massima di una riga di testo prima di aggiungere interruzioni di riga.\n\nSe viene utilizzato in un testo arricchito o se il valore è inferiore a 20, allora viene ignorato.\n\nIl valore predefinito è 1.',
		width_RECTANGLE: 'Larghezza del bordo.',
		spear: 'Larghezza della punta della freccia. Il valore predefinito è 8.',
		arrow: 'Colore dell\'interno della freccia.\n\nIl valore predefinito è #ee0022.',
		visible: 'Quando selezionato, nella parte inferiore della scena apparirà un campo di testo in cui sarà possibile visualizzare l\'espressione dell\'equazione nello stesso colore del grafico e con il colore di sfondo della scena.\n\nIl valore predefinito non è selezionato.\n\nSe ci sono più equazioni o curve in una scena, sotto di esse appariranno i campi di testo di ciascuna di quelle che sono visibili. Se sono molti, i campi potrebbero essere troppo piccoli, quindi non è consigliabile rendere visibili i campi di testo di più di tre o quattro equazioni o curve.',
		editable: 'Quando viene selezionato, il contenuto del campo di testo che appare sotto la scena con l\'equazione (o curva) può essere modificato dall\'utente.\n\nQuesta opzione è utile quando si vuole che lo studente pratichi la scrittura di formule.',
		range: 'Espressione della forma [n1,n2] dove n1 e n2 sono due interi che vengono interpretati come l\'inizio e la fine dell\'intervallo di interi che "n" attraverserà. Il programma disegna i punti (X,Y) per ogni valore di "n" compreso tra n1 e n2.',
		file: 'Nome del file immagine che si desidera utilizzare come oggetto grafico. Solo i file png, jpg, gif e svg possono essere utilizzati. I file di immagine devono essere posizionati nello stesso luogo in cui si trova il file html della scena o in sottocartelle da lì. Le sottocartelle devono essere incluse nel nome del file.',
		inirot: 'Angolo di rotazione (in senso antiorario) dell\'oggetto grafico.\n\nPuò essere un\'espressione o un numero fisso.',
		inipos: 'Espressione del tipo (X,Y), dove X e Y sono qualsiasi espressioni reali che rappresentano l\'ascissa e l\'ordinata, del punto iniziale della macro rispetto all\'origine delle coordinate spaziali.',
		name: 'Nome della macro, che viene utilizzato per accedere ai suoi parametri durante i calcoli.\n\nLa sintassi per accedere ai parametri è <nome_macro>.nome_parametro.',
		opacity: 'Opacità dell\'immagine, cioè quanto opaca o traslucida è.\n\nIl valore accettato è un numero compreso tra 0 e 1, dove 0 è completamente trasparente e 1 è completamente opaco.\n\nIl valore predefinito è 1.',
		align: 'Allineamento del testo rispetto ad una scatola, la cui larghezza è determinata dalla lunghezza della linea di testo più lunga e l\'altezza è determinata dall\'altezza delle linee di testo.\n\nIl testo può essere allineato sul bordo sinistro, centrato o sul bordo destro della scatola.\n\nSe il testo consiste in una singola linea, i tre allineamenti disegnano il testo allo stesso modo.',
		anchor: 'Punto di ancoraggio della scatola di testo, la cui larghezza è determinata dalla lunghezza della linea di testo più lunga e l\'altezza è determinata dall\'altezza delle linee di testo.\n\nLa posizione del testo (data dal parametro di espressione) e il punto di ancoraggio determinano come la scatola di testo è costruita e quindi la posizione del testo nello spazio.',
		lineDash: 'Opzioni che determinano lo stile di disegno del tratto grafico, che può essere uno stile "solido", "grigliato" o "a punti".',
		italics: 'Quando selezionato, il testo viene scritto in corsivo.',
		bold: 'Quando selezionato, il testo viene scritto in grassetto.',
		font_size: 'Dimensione del carattere in pixel.',
		font_family: 'Carattere utilizzato per disegnare il testo.',
		border_radius: 'Definisce il raggio degli angoli del rettangolo.',
		info: 'Commenti.',
		border_size: 'Dimensione del bordo in pixel.\nSe il valore è 0, il bordo viene impostato automaticamente.',
		shadowColor: 'Attiva l\'effetto ombra sul testo. Determina anche il colore dell\'ombra.',
		shadowBlur: 'Determina la sfocatura dell\'ombra. Il valore deve essere maggiore o uguale a zero.',
		shadowOffsetX: 'Specifica la distanza orizzontale dell\'ombra.',
		shadowOffsetY: 'Specifica la distanza verticale dell\'ombra.',
		clip: 'Espressione del tipo (x, y, w, h) che definisce un rettangolo all\'interno dell\'immagine da cui si ottiene l\'informazione sui pixel da disegnare.\n\nI valori di x e y definiscono una posizione all\'interno dell\'immagine.\nI valori di w e h sono le dimensioni del rettangolo.\n\nTutti i valori sono definiti in coordinate in pixel.\n\nIl valore predefinito è vuoto, il che indica che l\'intera immagine viene utilizzata per il disegno.',
	},

	Graphics3D: {
		name: 'Nome macro, che viene utilizzato per accedere ai suoi parametri durante i calcoli.\n\nLa sintassi per accedere ai parametri è <nome_macro>.nome_parametro.',
		space: 'Elenco degli spazi tridimensionali che sono stati definiti.\n\nViene utilizzato per assegnare lo spazio a cui appartiene il grafico.',
		type: 'Il tipo di grafico.',
		background: 'Quando viene selezionata, il grafico 3D viene calcolato solo una volta e viene aggiornato solo quando si preme il pulsante di inizializzazione.\n\nQuando un grafico 3D non dipende dai controlli o dagli ausiliari, è meglio definirlo come sfondo, in quanto ciò risparmia il lavoro del processore che non dovrà essere calcolato ogni volta che c\'è un cambiamento nella scena.',
		color: 'Colore del grafico.\n\nIl pulsante chiama l\'editor di colore.\n\nIl valore predefinito è #eeffaa.',
		backcolor: 'Colore di sfondo del grafico.\n\nIl pulsante chiama l\'editor di colore.\n\nIl valore predefinito è #6090a0.',
		drawif: 'Espressione booleana che determina se il grafico viene disegnato o meno.\n\nIl grafico viene disegnato se l\'espressione è vuota o se ha un valore vero (o maggiore di zero).\n\nIl valore predefinito è vuoto, il che indica che viene sempre disegnato.',
		expression: '*********',
		expression_POINT: 'Espressione di forma:\n\n(X,Y,Z)\n\ndove X, Y e Z sono qualsiasi espressioni numeriche, rappresentanti la posizione spaziale di un punto in tre dimensioni.\n\nIl valore predefinito è (0,0).',
		expression_SEGMENT: 'Espressione di forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)\n\ndove X1, Y1, Z1, X2, Y2, Z2 sono espressioni numeriche, rappresentanti la posizione spaziale delle estremità del segmento in tre dimensioni.\n\nIl valore predefinito è (0,0,0)(1,1,1).',
		expression_POLYGON: 'Espressione di forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)...(Xn,Yn,Zn)\n\ndove X1, Y1, Z1, X2, Y2, Z2, ..., Xn, Yn, Zn sono espressioni numeriche, rappresentanti diversi segmenti che rappresentano un poligono (senza facce) in tre dimensioni.\n\nIl valore predefinito è (0,0,0)(1,0,0)(1,1,0)(1,1,1).',
		expression_CURVE: 'Espressione di forma:\n\nx=X(u)\ny=Y(u)\nz=Z(u)\n\ndove X, Y e Z sono espressioni numeriche dipendenti dal parametro u.\n\nLa curva è disegnata come un poligono con Nu lati i cui Nu+1 vertici sono i punti:\n\n(X(i/Nu),Y(i/Nu),Z(i/Nu)) per i=0,...,Nu+1.\n\nPrima di x, y, z è possibile definire variabili intermedie che vengono utilizzate solo per i calcoli effettuati durante il disegno della curva.',
		expression_TRIANGLE: 'Coordinate di tre punti nello spazio, ovvero un\'espressione della forma:\n\n(X1,Y1,Z1)(X2,Y2,Z2)(X3,Y3,Z3)\n\ndove Xi, Yi, per i=1,2,3 possono essere espressioni numeriche.',
		expression_FACE: 'Coordinate di un poligono nel piano, ovvero un\'espressione della forma:\n\n(X1,Y1)(X2,Y2)...(Xn,Yn)\n\ndove Xi, Yi, per i=1,...,n sono espressioni numeriche.',
		expression_SURFACE: 'Espressione di forma:\n\nx=X(u,v)\ny=Y(u,v)\nz=Z(u,v)\n\ndove X, Y e Z sono espressioni numeriche dipendenti dai parametri u e v.\n\nLa superficie è costituita dalla griglia di quadrilateri formati dai punti:\n\n(X(i/Nu,j/Nv),Y(i/Nu,j/Nv),Z(i/Nu,j/Nv))\n\nper i=0,...,Nu+1 e j=0,...,Nv+1.\n\nPrima di x, y, z è possibile definire variabili intermedie che vengono utilizzate solo per i calcoli effettuati durante il disegno della superficie.',
		expression_TEXT: 'Espressione di forma:\n\n[X,Y]\n\ndove X e Y sono espressioni numeriche che determinano la posizione del testo in pixel misurati da sinistra a destra e dall\'alto verso il basso rispetto all\'angolo in alto a sinistra dello spazio.',
		expression_MACRO: 'Nome del file contenente i dati macro. Il file deve trovarsi nella cartella in cui si trova la pagina contenente la scena o nelle sottocartelle della scena.',
		useFamily: 'Quando selezionato, consente di convertire un grafico in un\'intera famiglia di grafici a seconda di un parametro.\n\nQuando si seleziona la famiglia, i campi "parametro", "intervallo" e "passi" vengono attivati.\n\nIl valore predefinito non è selezionato.',
		family: 'Nome del parametro utilizzato nella definizione dell\'oggetto grafico per definire la famiglia.\n\nIl valore predefinito è "s".\n\nIl programma disegnerà i grafici, con i valori di "s", attraversando l\'intervallo specificato nel numero di passi scelto.',
		family_interval: 'Intervallo in cui il parametro della famiglia assumerà i valori durante la traversata nel numero specificato di passi.\n\nSono due espressioni reali in parentesi quadre e separate da una virgola.\n\nIl valore predefinito è [0,1].',
		family_steps: 'Numero di sottointervalli uguali in cui l\'intervallo della famiglia è diviso e il parametro della famiglia attraversa le estremità dei sottointervalli.\n\nIl valore predefinito è 8.',
		inirot: 'Vettore di tre componenti (A, B, C) che rappresenta una rotazione iniziale, i cui elementi sono rotazioni (in gradi) intorno all\'asse x, all\'asse y e all\'asse z, rispettivamente, che verranno applicate all\'oggetto grafico prima del disegno.\n\nSe la parola "Euler" viene aggiunta prima della terna, cioè Euler(A, B, C), allora gli angoli A, B e C vengono interpretati come rotazioni di Euler, cioè A è una rotazione intorno all\'asse z, B intorno al nuovo asse x (che si ottiene dopo la prima rotazione) e C intorno al nuovo asse z (che si ottiene dopo le prime due rotazioni).\n\nNota: viene applicato prima della traduzione iniziale.',
		inipos: 'Vettore di tre componenti (A, B, C) che rappresenta una traduzione iniziale, che verrà applicata all\'oggetto grafico prima del disegno.\n\nNota: viene applicata dopo la rotazione iniziale e prima della rotazione finale.',
		endrot: 'Vettore di tre componenti (A, B, C) che rappresenta una rotazione finale, i cui elementi sono rotazioni (in gradi) intorno all\'asse x, all\'asse y e all\'asse z, rispettivamente, che verranno applicate all\'oggetto grafico prima del disegno.\n\nSe la parola "Euler" viene aggiunta prima della terna, cioè Euler(A, B, C), allora gli angoli A, B e C vengono interpretati come rotazioni di Euler, cioè A è una rotazione intorno all\'asse z, B intorno al nuovo asse x (che si ottiene dopo la prima rotazione) e C intorno al nuovo asse z (che si ottiene dopo le prime due rotazioni).\n\nNota: viene applicata dopo la traduzione iniziale e prima della traduzione finale.',
		endpos: 'Vettore di tre componenti (A, B, C) che rappresenta una traduzione finale, da applicare all\'oggetto grafico prima del disegno.\n\nNota: viene applicata dopo la rotazione finale.',
		split: 'Quando selezionato, indica se la superficie deve essere tagliata dalla grafica dello stesso spazio che la precede nell\'elenco, in caso di intersezione.\n\nÈ consigliabile mantenere sempre selezionata questa opzione, a meno che non si stiano utilizzando molte grafiche che non si intersecano e si desideri rendere un po\' più veloce l\'esecuzione.',
		edges: 'Quando selezionato, determina se i bordi delle facce che compongono l\'oggetto devono essere disegnati o meno. I bordi sono disegnati in colore grigio.',
		text: 'Etichetta che accompagna l\'oggetto grafico e viene scritta vicino alla sua posizione o qualcosa che può essere considerato come la sua posizione.\n\nI testi sono disegnati dello stesso colore dell\'oggetto grafico.\n\nI testi possono avere più righe e possono includere anche valori numerici variabili.\n\nIl valore predefinito è vuoto.',
		font: '*********',
		decimals: 'Numero di decimali con cui i numeri inclusi nel testo sono scritti.\n\nPuò essere un numero fisso o un\'espressione. Quando i numeri vengono valutati, vengono arrotondati per decidere il numero di cifre decimali.\n\nIl valore predefinito è 2.',
		fixed: 'Quando è selezionato, determina se il numero di cifre decimali è fisso o se, al contrario, viene utilizzata la notazione adattata, in cui gli zeri non necessari o il punto decimale non necessario vengono eliminati.\n\nAd esempio: invece di 25,3400, viene scritto 25,34 e invece di 13,0, viene scritto 13 (senza il punto decimale).\n\nSe viene utilizzata la notazione esponenziale, i numeri vengono sempre scritti in forma adattata, cioè l\'attributo fisso non interviene in quel caso.\n\nIl valore predefinito non è selezionato.',
		align: 'Allineamento del testo rispetto a una casella, la cui larghezza è determinata dalla dimensione della riga di testo più lunga e l\'altezza è determinata dall\'altezza delle righe di testo.\n\nIl testo può essere allineato sul bordo sinistro, centrato o sul bordo destro della casella.\n\nSe il testo consiste in una singola riga, i tre allineamenti disegnano il testo allo stesso modo.',
		anchor: 'Punto di ancoraggio della casella di testo, la cui larghezza è determinata dalla dimensione della riga di testo più lunga e l\'altezza è determinata dall\'altezza delle righe di testo.\n\nLa posizione del testo (determinata dal parametro di espressione) e il punto di ancoraggio determinano come viene costruita la casella di testo e quindi la posizione del testo nello spazio.',
		italics: 'Quando selezionato, il testo è scritto in corsivo.',
		bold: 'Quando selezionato, il testo è scritto in grassetto.',
		font_size: 'Dimensione del carattere in pixel.',
		font_family: 'Carattere utilizzato per disegnare il testo.',
		border: 'Colore del bordo nel testo.',
		model: 'Opzioni per disegnare le facce dell\'oggetto grafico.\n\n"colore": fa sì che venga disegnato con colori pieni.\n\n"luce": rende il colore più o meno brillante in base all\'orientamento, per dare un senso di illuminazione.\n\n"metallo": è come luce, ma con contrasti più elevati per dare l\'impressione che la superficie sia metallica.\n\n"wire": disegna solo i bordi nel colore selezionato.\n\nNota: Con il modello wire, i bordi vengono disegnati nel colore selezionato e non in grigio come negli altri modelli.',
		width: '*********',
		width_TEXT: 'In un testo non arricchito, specifica la larghezza massima di una riga di testo prima di aggiungere interruzioni di linea.\n\nSe viene usato in un testo arricchito o se il valore è inferiore a 20, allora viene ignorato.\n\nIl valore predefinito è 1.',
		width_POINT: 'Dimensione del punto in pixel.\n\nIl valore predefinito è 1.',
		width_SEGMENT: 'Larghezza o spessore in pixel, del segmento.\n\nIl valore predefinito è 1.',
		width_POLYGON: 'Larghezza o spessore in pixel, dei segmenti del poligono.\n\nIl valore predefinito è 1.',
		width_CURVE: 'Larghezza o spessore in pixel, dei segmenti della curva.\n\nIl valore predefinito è 1.',
		width_POLIREG: 'La metà del raggio del poligono regolare se larghezza=lunghezza. Se larghezza!=lunghezza, il poligono non è regolare ma è una deformazione di uno regolare.',
		width_CUBE: 'Dimensione della diagonale del cubo.\n\nIl valore predefinito è 2.',
		width_BOX: 'Dimensione lungo l\'asse x.\n\nIl valore predefinito è 2.',
		width_TETRAHEDRON: 'Dimensione del tetraedro.\n\nIl valore predefinito è 2.',
		width_OCTAHEDRON: 'Dimensione dell\'ottaedro.\n\nIl valore predefinito è 2.',
		width_DODECAHEDRON: 'Dimensione del dodecaedro.\n\nIl valore predefinito è 2.',
		width_ICOSAHEDRON: 'Dimensione dell\'icosaedro.\n\nIl valore predefinito è 2.',
		width_SPHERE: 'Dimensione del diametro della sfera.\n\nIl valore predefinito è 2.',
		width_ELLIPSOID: 'Dimensione lungo l\'asse x.\n\nIl valore predefinito è 2.',
		width_CONE: 'Dimensione lungo l\'asse x.\n\nIl valore predefinito è 2.',
		width_CYLINDER: 'Dimensione lungo l\'asse x.\n\nIl valore predefinito è 2.',
		length: '*********',
		length_BOX: 'Dimensione lungo l\'asse y.\n\nIl valore predefinito è 2.',
		length_POLIREG: 'Metà del raggio del poligono regolare se larghezza = lunghezza. Se larghezza != lunghezza, il poligono non è regolare ma è una deformazione di uno regolare.',
		length_ELLIPSOID: 'Dimensione lungo l\'asse y.\n\nIl valore predefinito è 2.',
		length_CONE: 'Dimensione lungo l\'asse y.\n\nIl valore predefinito è 2.',
		length_CYLINDER: 'Dimensione lungo l\'asse y.\n\nIl valore predefinito è 2.',
		height: 'Dimensione lungo l\'asse z.\n\nIl valore predefinito è 2.',
		Nu: 'Numero di intervalli in cui l\'intervallo unitario [0,1] è diviso per il parametro "u".',
		Nv: 'Numero di intervalli in cui l\'intervallo unitario [0,1] è diviso per il parametro "v".',
		offset_dist: 'Traduzione del testo rispetto alla posizione del punto.',
		offset_angle: 'Angolo in cui il testo viene spostato rispetto alla posizione del punto.',
		info: 'Commenti.',
		border_size: 'Dimensione del bordo in pixel.\nSe il valore è 0, il bordo viene impostato automaticamente.',
		shadowColor: 'Attiva/disattiva l\'effetto ombra sul testo. Determina anche il colore dell\'ombra.',
		shadowBlur: 'Determina lo sbiadimento dell\'ombra. Il valore deve essere maggiore o uguale a zero.',
		shadowOffsetX: 'Specifica la distanza orizzontale dell\'ombra.',
		shadowOffsetY: 'Specifica la distanza verticale dell\'ombra.',
	},

	Animation: {
		useAnimation: 'Quando tutti i campi nel pannello di animazione sono selezionati, vengono attivati e l\'autore può scriverci o scegliere le opzioni per programmare l\'animazione.',
		delay: 'Il tempo in millisecondi che il programma attende ad ogni passo dell\'animazione.\n\nIl valore predefinito è 40.\n\nI valori piccoli rendono l\'animazione più veloce e viceversa. Su processori lenti, i valori piccoli non producono necessariamente animazioni veloci.',
		auto: 'Quando selezionato, determina se l\'animazione inizia automaticamente quando la scena appare sullo schermo e ogni volta che viene premuto il pulsante "dentro".\n\nQuando non selezionato, l\'animazione inizia solo quando l\'utente esegue un\'azione che la avvia.',
		loop: 'Quando selezionato, determina se l\'animazione viene ripetuta indefinitamente o se si interrompe quando la condizione "mentre" non è più vera.',
		init: 'Assegnazioni e chiamate a funzioni separate da punto e virgola (;), in modo che tutto ciò che è presente in questo campo venga eseguito all\'inizio del calcolo.',
		doExpr: 'Assegnazioni e chiamate a funzioni separate da interruzioni di linea (\\n), in modo che tutto ciò che è presente in questo campo venga eseguito ripetutamente finché la condizione del parametro "mentre" è valida.',
		whileExpr: 'Espressione booleana che determina la condizione per ripetere le istruzioni del parametro "fare".',
		info: 'Commenti.',
	},

	Extra: {
		expand: 'Espande il contenuto del campo di testo.',
		simple_text_editor: 'Editor di testo semplice.',
		rich_text_editor: 'Editor di testo formattato.',
	},

  }

  return tooltip;
})(tooltip || {});